"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const app_reducer_1 = require("./app.reducer");
const app_reducer_2 = require("./app.reducer");
describe('app.reducer', () => {
    it('should handle DIALOG_OPEN', async () => {
        const state = (0, app_reducer_2.createAppDefaultState)({}, {});
        let newState = (0, app_reducer_2.default)(state, {
            type: 'DIALOG_OPEN',
            name: 'syncWizard',
        });
        expect(newState.dialogs.length).toBe(1);
        expect(newState.dialogs[0].name).toBe('syncWizard');
        expect(() => (0, app_reducer_2.default)(newState, {
            type: 'DIALOG_OPEN',
            name: 'syncWizard',
        })).toThrow();
        newState = (0, app_reducer_2.default)(newState, {
            type: 'DIALOG_CLOSE',
            name: 'syncWizard',
        });
        expect(newState.dialogs.length).toBe(0);
        expect(() => (0, app_reducer_2.default)(newState, {
            type: 'DIALOG_CLOSE',
            name: 'syncWizard',
        })).toThrow();
        newState = (0, app_reducer_2.default)(newState, {
            type: 'DIALOG_OPEN',
            name: 'syncWizard',
        });
        newState = (0, app_reducer_2.default)(newState, {
            type: 'DIALOG_OPEN',
            name: 'setPassword',
        });
        expect(newState.dialogs).toEqual([
            { name: 'syncWizard', props: {} },
            { name: 'setPassword', props: {} },
        ]);
    });
    it('showing a dialog in one window should hide dialogs with the same ID in background windows', () => {
        const state = Object.assign(Object.assign({}, (0, app_reducer_2.createAppDefaultState)({}, {})), { backgroundWindows: {
                testWindow: Object.assign(Object.assign({}, (0, app_reducer_1.createAppDefaultWindowState)()), { windowId: 'testWindow', visibleDialogs: {
                        testDialog: true,
                    } }),
            } });
        const newState = (0, app_reducer_2.default)(state, {
            type: 'VISIBLE_DIALOGS_ADD',
            name: 'testDialog',
        });
        expect(newState.backgroundWindows.testWindow.visibleDialogs).toEqual({});
        expect(newState.visibleDialogs).toEqual({ testDialog: true });
    });
});
//# sourceMappingURL=app.reducer.test.js.map