"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = void 0;
const locale_1 = require("@joplin/lib/locale");
const shim_1 = require("@joplin/lib/shim");
const app = require('@electron/remote').app;
const { clipboard } = require('electron');
exports.declaration = {
    name: 'copyDevCommand',
    label: () => (0, locale_1._)('Copy dev mode command to clipboard'),
};
const runtime = () => {
    return {
        execute: async () => {
            const appPath = app.getPath('exe');
            const cmd = `${appPath} --env dev`;
            clipboard.writeText(cmd);
            await shim_1.default.showMessageBox(`The dev mode command has been copied to clipboard:\n\n${cmd}`, { type: shim_1.MessageBoxType.Info });
        },
    };
};
exports.runtime = runtime;
//# sourceMappingURL=copyDevCommand.js.map