"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = void 0;
const CommandService_1 = require("@joplin/lib/services/CommandService");
exports.declaration = {
    name: 'focusElement',
};
const runtime = () => {
    return {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        execute: async (_context, target, options) => {
            if (target === 'noteBody')
                return CommandService_1.default.instance().execute('focusElementNoteBody', options);
            if (target === 'noteList')
                return CommandService_1.default.instance().execute('focusElementNoteList');
            if (target === 'sideBar')
                return CommandService_1.default.instance().execute('focusElementSideBar');
            if (target === 'noteTitle')
                return CommandService_1.default.instance().execute('focusElementNoteTitle', options);
            throw new Error(`Invalid focus target: ${target}`);
        },
    };
};
exports.runtime = runtime;
//# sourceMappingURL=focusElement.js.map