"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = void 0;
const RevisionService_1 = require("@joplin/lib/services/RevisionService");
const shim_1 = require("@joplin/lib/shim");
exports.declaration = {
    name: 'restoreNoteRevision',
    label: 'Restore a note from history',
};
const runtime = () => {
    return {
        execute: async (_context, noteId, reverseRevIndex = 0) => {
            try {
                const note = await RevisionService_1.default.instance().restoreNoteById(noteId, reverseRevIndex);
                await shim_1.default.showMessageBox(RevisionService_1.default.instance().restoreSuccessMessage(note), { type: shim_1.MessageBoxType.Info });
            }
            catch (error) {
                await shim_1.default.showErrorDialog(error.message);
            }
        },
    };
};
exports.runtime = runtime;
//# sourceMappingURL=restoreNoteRevision.js.map