"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = void 0;
const locale_1 = require("@joplin/lib/locale");
const reducer_1 = require("@joplin/lib/reducer");
const ExternalEditWatcher_1 = require("@joplin/lib/services/ExternalEditWatcher");
const Note_1 = require("@joplin/lib/models/Note");
const bridge = require('@electron/remote').require('./bridge').default;
exports.declaration = {
    name: 'startExternalEditing',
    label: () => (0, locale_1._)('Edit in external editor'),
    iconName: 'icon-share',
};
const runtime = () => {
    return {
        execute: async (context, noteId = null) => {
            noteId = noteId || reducer_1.stateUtils.selectedNoteId(context.state);
            try {
                const note = await Note_1.default.load(noteId);
                void ExternalEditWatcher_1.default.instance().openAndWatch(note);
            }
            catch (error) {
                bridge().showErrorMessageBox((0, locale_1._)('Error opening note in editor: %s', error.message));
            }
        },
        enabledCondition: 'oneNoteSelected && !noteIsReadOnly',
    };
};
exports.runtime = runtime;
//# sourceMappingURL=startExternalEditing.js.map