"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const ButtonBar_1 = require("./ConfigScreen/ButtonBar");
const locale_1 = require("@joplin/lib/locale");
const { connect } = require('react-redux');
const bridge = require('@electron/remote').require('./bridge').default;
const { themeStyle } = require('@joplin/lib/theme');
const Shared = require('@joplin/lib/components/shared/dropbox-login-shared');
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
class DropboxLoginScreenComponent extends React.Component {
    constructor(props) {
        super(props);
        this.shared_ = new Shared(this, (msg) => bridge().showInfoMessageBox(msg), (msg) => bridge().showErrorMessageBox(msg));
    }
    UNSAFE_componentWillMount() {
        this.shared_.refreshUrl();
    }
    render() {
        const style = this.props.style;
        const theme = themeStyle(this.props.themeId);
        const containerStyle = Object.assign(Object.assign({}, theme.containerStyle), { padding: theme.configScreenPadding, height: style.height - theme.margin * 2, flex: 1 });
        const inputStyle = Object.assign(Object.assign({}, theme.inputStyle), { width: 500 });
        const buttonStyle = Object.assign(Object.assign({}, theme.buttonStyle), { marginRight: 10 });
        return (React.createElement("div", { style: { display: 'flex', flexDirection: 'column', height: '100%' } },
            React.createElement("div", { style: containerStyle },
                React.createElement("p", { style: theme.textStyle }, (0, locale_1._)('To allow Joplin to synchronise with Dropbox, please follow the steps below:')),
                React.createElement("p", { style: theme.textStyle }, (0, locale_1._)('Step 1: Open this URL in your browser to authorise the application:')),
                React.createElement("a", { style: theme.textStyle, href: "#", onClick: this.shared_.loginUrl_click }, this.state.loginUrl),
                React.createElement("p", { style: theme.textStyle }, (0, locale_1._)('Step 2: Enter the code provided by Dropbox:')),
                React.createElement("p", null,
                    React.createElement("input", { type: "text", value: this.state.authCode, onChange: this.shared_.authCodeInput_change, style: inputStyle })),
                React.createElement("button", { disabled: this.state.checkingAuthToken, style: buttonStyle, onClick: this.shared_.submit_click }, (0, locale_1._)('Submit'))),
            React.createElement(ButtonBar_1.default, { onCancelClick: () => this.props.dispatch({ type: 'NAV_BACK' }) })));
    }
}
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
const mapStateToProps = (state) => {
    return {
        themeId: state.settings.theme,
    };
};
exports.default = connect(mapStateToProps)(DropboxLoginScreenComponent);
//# sourceMappingURL=DropboxLoginScreen.js.map