"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dropdown = exports.DropdownVariant = void 0;
const React = require("react");
const react_1 = require("react");
var DropdownVariant;
(function (DropdownVariant) {
    DropdownVariant[DropdownVariant["Default"] = 1] = "Default";
    DropdownVariant[DropdownVariant["NoBorder"] = 2] = "NoBorder";
})(DropdownVariant || (exports.DropdownVariant = DropdownVariant = {}));
const Dropdown = (props) => {
    const renderOptions = () => {
        const optionComps = [];
        for (const [value, label] of Object.entries(props.options)) {
            optionComps.push(React.createElement("option", { key: value, value: value }, label));
        }
        return optionComps;
    };
    // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
    const onChange = (0, react_1.useCallback)((event) => {
        props.onChange({ value: event.target.value });
    }, [props.onChange]);
    const classNames = (0, react_1.useMemo)(() => {
        const variant = props.variant || DropdownVariant.Default;
        const output = [
            'dropdown-control',
            `-variant${variant}`,
        ];
        if (props.className)
            output.push(props.className);
        return output.join(' ');
    }, [props.variant, props.className]);
    return (React.createElement("select", { disabled: props.disabled, className: classNames, onChange: onChange, value: props.value }, renderOptions()));
};
exports.Dropdown = Dropdown;
//# sourceMappingURL=Dropdown.js.map