"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@joplin/lib/services/database/types");
const EmojiBox_1 = require("./EmojiBox");
function default_1(props) {
    const folderIcon = props.folderIcon;
    const opacity = 'opacity' in props ? props.opacity : 1;
    const width = 20;
    const height = 20;
    if (folderIcon.type === types_1.FolderIconType.Emoji) {
        return React.createElement(EmojiBox_1.default, { width: width, height: height, emoji: folderIcon.emoji });
    }
    else if (folderIcon.type === types_1.FolderIconType.DataUrl) {
        return React.createElement("img", { style: { width, height, opacity }, src: folderIcon.dataUrl });
    }
    else if (folderIcon.type === types_1.FolderIconType.FontAwesome) {
        return React.createElement("i", { style: { fontSize: 18, width, opacity }, className: folderIcon.name, role: 'img', "aria-hidden": true });
    }
    else {
        throw new Error(`Unsupported folder icon type: ${folderIcon.type}`);
    }
}
exports.default = default_1;
//# sourceMappingURL=FolderIconBox.js.map