"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const { connect } = require('react-redux');
const theme_1 = require("@joplin/lib/theme");
const locale_1 = require("@joplin/lib/locale");
class HelpButtonComponent extends React.Component {
    constructor(props) {
        super(props);
        this.onClick = this.onClick.bind(this);
    }
    onClick() {
        if (this.props.onClick)
            this.props.onClick();
    }
    render() {
        const theme = (0, theme_1.themeStyle)(this.props.themeId);
        const style = Object.assign(Object.assign({}, this.props.style), { color: theme.color, textDecoration: 'none' });
        const helpIconStyle = { flex: 0, width: 16, height: 16, marginLeft: 10 };
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        const extraProps = {};
        if (this.props.tip) {
            extraProps['data-tip'] = this.props.tip;
            extraProps['aria-description'] = this.props.tip;
        }
        return (React.createElement("button", Object.assign({ style: style, onClick: this.onClick, className: 'flat-button', "aria-controls": this.props['aria-controls'], "aria-expanded": this.props['aria-expanded'] }, extraProps),
            React.createElement("i", { style: helpIconStyle, className: 'fa fa-question-circle', role: 'img', "aria-label": (0, locale_1._)('Help') })));
    }
}
const mapStateToProps = (state) => {
    return {
        themeId: state.settings.theme,
    };
};
const HelpButton = connect(mapStateToProps)(HelpButtonComponent);
exports.default = HelpButton;
//# sourceMappingURL=HelpButton.js.map