"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const theme_1 = require("@joplin/lib/theme");
class IconButton extends React.Component {
    render() {
        const style = this.props.style;
        const theme = (0, theme_1.themeStyle)(this.props.themeId);
        const iconStyle = {
            color: theme.color,
            fontSize: theme.fontSize * 1.4,
        };
        const icon = React.createElement("i", { style: iconStyle, className: `fas ${this.props.iconName}` });
        const rootStyle = Object.assign({ display: 'flex', textDecoration: 'none', padding: 10, width: theme.buttonMinHeight, height: theme.buttonMinHeight, boxSizing: 'border-box', alignItems: 'center', justifyContent: 'center', backgroundColor: theme.backgroundColor, cursor: 'default' }, style);
        return (React.createElement("a", { href: "#", style: rootStyle, className: "icon-button", onClick: () => {
                if (this.props.onClick)
                    this.props.onClick();
            } }, icon));
    }
}
exports.default = IconButton;
//# sourceMappingURL=IconButton.js.map