"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const { connect } = require('react-redux');
const locale_1 = require("@joplin/lib/locale");
const electron_1 = require("electron");
const Button_1 = require("./Button/Button");
const react_1 = require("react");
const types_1 = require("@joplin/lib/utils/joplinCloud/types");
const bridge_1 = require("../services/bridge");
const JoplinCloudConfigScreen = (props) => {
    const copyToClipboard = () => {
        electron_1.clipboard.writeText(props.inboxEmail);
    };
    const isEmailToNoteAvailableInAccount = props.joplinCloudAccountType !== 1;
    const goToJoplinCloudProfile = async () => {
        await (0, bridge_1.default)().openExternal(`${props.joplinCloudWebsite}/users/me`);
    };
    return (React.createElement("div", null,
        React.createElement("div", { className: "joplin-cloud-account-information" },
            React.createElement("h2", null, (0, locale_1._)('Account information')),
            React.createElement("table", null,
                React.createElement("tbody", null,
                    React.createElement("tr", null,
                        React.createElement("td", null,
                            React.createElement("strong", null, (0, locale_1._)('Account type'))),
                        React.createElement("td", null, (0, types_1.accountTypeToString)(props.joplinCloudAccountType))),
                    React.createElement("tr", null,
                        React.createElement("td", null,
                            React.createElement("strong", null, (0, locale_1._)('Email'))),
                        React.createElement("td", null, props.userEmail)))),
            React.createElement(Button_1.default, { onClick: goToJoplinCloudProfile, title: (0, locale_1._)('Go to Joplin Cloud profile') })),
        React.createElement("h2", null, (0, locale_1._)('Email to note')),
        React.createElement("p", null, (0, locale_1._)('Any email sent to this address will be converted into a note and added to your collection. The note will be saved into the Inbox notebook')),
        isEmailToNoteAvailableInAccount ? React.createElement(react_1.Fragment, null,
            React.createElement("p", { className: 'inbox-email-value' }, props.inboxEmail),
            React.createElement(Button_1.default, { onClick: copyToClipboard, title: (0, locale_1._)('Copy to clipboard') }))
            : React.createElement("div", { className: 'alert-warn' },
                React.createElement("p", null, (0, locale_1._)('Your account doesn\'t have access to this feature')))));
};
const mapStateToProps = (state) => {
    return {
        inboxEmail: state.settings['sync.10.inboxEmail'],
        joplinCloudAccountType: state.settings['sync.10.accountType'],
        userEmail: state.settings['sync.10.userEmail'],
        joplinCloudWebsite: state.settings['sync.10.website'],
    };
};
exports.default = connect(mapStateToProps)(JoplinCloudConfigScreen);
//# sourceMappingURL=JoplinCloudConfigScreen.js.map