"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const NoteListUtils_1 = require("./utils/NoteListUtils");
const theme_1 = require("@joplin/lib/theme");
const bridge_1 = require("../services/bridge");
function styles_(props) {
    return (0, theme_1.buildStyle)('MultiNoteActions', props.themeId, (theme) => {
        return {
            root: {
                display: 'inline-flex',
                justifyContent: 'center',
                paddingTop: theme.marginTop,
                width: '100%',
            },
            itemList: {
                display: 'flex',
                flexDirection: 'column',
            },
            button: Object.assign(Object.assign({}, theme.buttonStyle), { marginBottom: 10 }),
        };
    });
}
function MultiNoteActions(props) {
    const styles = styles_(props);
    // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
    const multiNotesButton_click = (item) => {
        if (item.submenu) {
            item.submenu.popup({ window: (0, bridge_1.default)().activeWindow() });
        }
        else {
            item.click();
        }
    };
    const menu = NoteListUtils_1.default.makeContextMenu(props.selectedNoteIds, {
        notes: props.notes,
        dispatch: props.dispatch,
        watchedNoteFiles: props.watchedNoteFiles,
        plugins: props.plugins,
        inConflictFolder: props.inConflictFolder,
        customCss: props.customCss,
    });
    const itemComps = [];
    const menuItems = menu.items;
    for (let i = 0; i < menuItems.length; i++) {
        const item = menuItems[i];
        if (!item.enabled)
            continue;
        itemComps.push(React.createElement("button", { key: item.label, style: styles.button, onClick: () => multiNotesButton_click(item) }, item.label));
    }
    return (React.createElement("div", { style: styles.root },
        React.createElement("div", { style: styles.itemList }, itemComps)));
}
exports.default = MultiNoteActions;
//# sourceMappingURL=MultiNoteActions.js.map