"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const { connect } = require('react-redux');
const Setting_1 = require("@joplin/lib/models/Setting");
const bridge_1 = require("../services/bridge");
const react_1 = require("react");
const NewWindowOrIFrame_1 = require("./NewWindowOrIFrame");
const NavigatorComponent = props => {
    const windowId = (0, react_1.useContext)(NewWindowOrIFrame_1.WindowIdContext);
    const route = props.route;
    const screenInfo = props.screens[route === null || route === void 0 ? void 0 : route.routeName];
    const screensRef = (0, react_1.useRef)(props.screens);
    screensRef.current = props.screens;
    const prevRoute = (0, react_1.useRef)(null);
    (0, react_1.useEffect)(() => {
        var _a, _b;
        const routeName = route === null || route === void 0 ? void 0 : route.routeName;
        if (route) {
            const devMarker = Setting_1.default.value('env') === 'dev' ? ` (DEV - ${Setting_1.default.value('profileDir')})` : '';
            const windowTitle = [`Joplin${devMarker}`];
            if (screenInfo.title) {
                windowTitle.push(screenInfo.title());
            }
            (_a = (0, bridge_1.default)().windowById(windowId)) === null || _a === void 0 ? void 0 : _a.setTitle(windowTitle.join(' - '));
        }
        // When a navigation happens in an unfocused window, show the window to the user.
        // This might happen if, for example, a secondary window triggers a navigation in
        // the main window.
        if (routeName && routeName !== ((_b = prevRoute.current) === null || _b === void 0 ? void 0 : _b.routeName)) {
            (0, bridge_1.default)().switchToWindow(windowId);
        }
        prevRoute.current = route;
    }, [route, screenInfo, windowId]);
    if (!route)
        throw new Error('Route must not be null');
    const screenProps = route.props ? route.props : {};
    const Screen = screenInfo.screen;
    const screenStyle = {
        width: props.style.width,
        height: props.style.height,
    };
    return (React.createElement("div", { style: props.style, className: props.className },
        React.createElement(Screen, Object.assign({ style: screenStyle }, screenProps))));
};
const Navigator = connect((state) => {
    return {
        route: state.route,
    };
})(NavigatorComponent);
exports.default = Navigator;
//# sourceMappingURL=Navigator.js.map