"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const CommandService_1 = require("@joplin/lib/services/CommandService");
const ToolbarBase_1 = require("../../../ToolbarBase");
const reducer_1 = require("@joplin/lib/services/plugins/reducer");
const react_redux_1 = require("react-redux");
const ToolbarButtonUtils_1 = require("@joplin/lib/services/commands/ToolbarButtonUtils");
const stateToWhenClauseContext_1 = require("../../../../services/commands/stateToWhenClauseContext");
const locale_1 = require("@joplin/lib/locale");
const { buildStyle } = require('@joplin/lib/theme');
function styles_(props) {
    return buildStyle('CodeMirrorToolbar', props.themeId, () => {
        return {
            root: {
                flex: 1,
                marginBottom: 0,
            },
        };
    });
}
const toolbarButtonUtils = new ToolbarButtonUtils_1.default(CommandService_1.default.instance());
function Toolbar(props) {
    const styles = styles_(props);
    return (React.createElement(ToolbarBase_1.default, { style: styles.root, items: props.toolbarButtonInfos, disabled: !!props.disabled, "aria-label": (0, locale_1._)('Editor actions') }));
}
const mapStateToProps = (state, connectProps) => {
    const whenClauseContext = (0, stateToWhenClauseContext_1.default)(state, { windowId: connectProps.windowId });
    const commandNames = [
        'historyBackward',
        'historyForward',
        'toggleExternalEditing',
        '-',
        'textBold',
        'textItalic',
        '-',
        'textLink',
        'textCode',
        'attachFile',
        '-',
        'textBulletedList',
        'textNumberedList',
        'textCheckbox',
        'textHeading',
        'textHorizontalRule',
        'insertDateTime',
        'toggleEditors',
    ].concat(reducer_1.utils.commandNamesFromViews(state.pluginService.plugins, 'editorToolbar'));
    return {
        toolbarButtonInfos: toolbarButtonUtils.commandsToToolbarButtons(commandNames, whenClauseContext),
    };
};
exports.default = (0, react_redux_1.connect)(mapStateToProps)(Toolbar);
//# sourceMappingURL=Toolbar.js.map