"use strict";
// Used in safe mode
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("react");
const PlainEditor = (props, ref) => {
    const editorRef = (0, react_1.useRef)();
    (0, react_1.useImperativeHandle)(ref, () => {
        return {
            content: () => { var _a, _b; return (_b = (_a = editorRef.current) === null || _a === void 0 ? void 0 : _a.value) !== null && _b !== void 0 ? _b : ''; },
            resetScroll: () => {
                editorRef.current.scrollTop = 0;
            },
            scrollTo: () => {
                // Not supported
            },
            supportsCommand: _name => {
                return false;
            },
            execCommand: async (_command) => {
                // Not supported
            },
        };
    }, []);
    (0, react_1.useEffect)(() => {
        if (!editorRef.current)
            return;
        if (editorRef.current.value !== props.content) {
            editorRef.current.value = props.content;
        }
    }, [props.content]);
    // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
    const onChange = (0, react_1.useCallback)((event) => {
        props.onChange({ changeId: null, content: event.target.value });
    }, [props.onChange]);
    return (React.createElement("div", { style: props.style },
        React.createElement("textarea", { ref: editorRef, style: { width: '100%', height: '100%' }, defaultValue: props.content, onChange: onChange })));
};
exports.default = (0, react_1.forwardRef)(PlainEditor);
//# sourceMappingURL=PlainEditor.js.map