"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const theme_1 = require("@joplin/lib/theme");
function styles(props) {
    return (0, theme_1.buildStyle)(['NoteEditor'], props.themeId, theme => {
        return {
            root: {
                boxSizing: 'border-box',
                paddingLeft: 0, // theme.mainPadding,
                paddingTop: 0,
                width: '100%',
                height: '100%',
            },
            titleInput: {
                flex: 1,
                display: 'inline-block',
                paddingTop: 5,
                minHeight: 35,
                boxSizing: 'border-box',
                fontWeight: 'bold',
                paddingBottom: 5,
                paddingLeft: 0,
                paddingRight: 8,
                marginLeft: 5,
                color: theme.textStyle.color,
                fontSize: Math.round(theme.textStyle.fontSize * 1.5),
                backgroundColor: theme.backgroundColor,
                border: 'none',
            },
            warningBanner: {
                background: theme.warningBackgroundColor,
                fontFamily: theme.fontFamily,
                padding: 10,
                fontSize: theme.fontSize,
                lineHeight: '1.6em',
                marginTop: 5,
                marginBottom: 5,
            },
            warningBannerLink: {
                color: theme.color,
                fontFamily: theme.fontFamily,
                fontSize: theme.fontSize,
                fontWeight: 'bold',
            },
            tinyMCE: {
                width: '100%',
                height: '100%',
            },
            toolbar: {
                marginTop: 4,
                marginBottom: 0,
            },
            titleDate: Object.assign(Object.assign({}, theme.textStyle), { color: theme.colorFaded, paddingLeft: 10, paddingRight: 10 }),
            resourceWatchBanner: Object.assign(Object.assign({}, theme.textStyle), { padding: 10, marginLeft: 5, marginBottom: 10, backgroundColor: theme.warningBackgroundColor }),
            resourceWatchBannerLine: {
                marginTop: 0,
                marginBottom: 10,
            },
        };
    });
}
exports.default = styles;
//# sourceMappingURL=index.js.map