"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getWindowCommandPriority = (contentContainer) => {
    if (!contentContainer.current)
        return 0;
    const containerDocument = contentContainer.current.getRootNode();
    if (!containerDocument || !containerDocument.hasFocus())
        return 0;
    if (contentContainer.current.contains(containerDocument.activeElement)) {
        return 2;
    }
    // Container document has focus, but not this editor.
    return 1;
};
exports.default = getWindowCommandPriority;
//# sourceMappingURL=getWindowCommandPriority.js.map