"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const getActivePluginEditorView_1 = require("@joplin/lib/services/plugins/utils/getActivePluginEditorView");
// If a plugin editor should be shown for the current note, this function will return the plugin and
// associated view.
exports.default = (plugins, shownEditorViewIds) => {
    return (0, react_1.useMemo)(() => {
        const { editorPlugin, editorView } = (0, getActivePluginEditorView_1.default)(plugins);
        if (editorView) {
            if (!shownEditorViewIds.includes(editorView.id))
                return { editorPlugin: null, editorView: null };
        }
        return { editorPlugin, editorView };
    }, [plugins, shownEditorViewIds]);
};
//# sourceMappingURL=usePluginEditorView.js.map