"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const types_1 = require("./types");
const usePrevious_1 = require("@joplin/lib/hooks/usePrevious");
const useScrollWhenReadyOptions = ({ noteId, selectedNoteHash, lastEditorScrollPercents, editorRef }) => {
    const [scrollWhenReady, setScrollWhenReady] = (0, react_1.useState)(null);
    const previousNoteId = (0, usePrevious_1.default)(noteId);
    const lastScrollPercentsRef = (0, react_1.useRef)();
    lastScrollPercentsRef.current = lastEditorScrollPercents;
    (0, react_1.useEffect)(() => {
        if (noteId === previousNoteId)
            return;
        if (editorRef.current) {
            editorRef.current.resetScroll();
        }
        const lastScrollPercent = lastScrollPercentsRef.current[noteId] || 0;
        setScrollWhenReady({
            type: selectedNoteHash ? types_1.ScrollOptionTypes.Hash : types_1.ScrollOptionTypes.Percent,
            value: selectedNoteHash ? selectedNoteHash : lastScrollPercent,
        });
    }, [noteId, previousNoteId, selectedNoteHash, editorRef]);
    const clearScrollWhenReady = (0, react_1.useCallback)(() => {
        setScrollWhenReady(null);
    }, []);
    return { scrollWhenReady, clearScrollWhenReady };
};
exports.default = useScrollWhenReadyOptions;
//# sourceMappingURL=useScrollWhenReadyOptions.js.map