"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const usePrevious_1 = require("@joplin/lib/hooks/usePrevious");
const useActiveDescendantId = (selectedFolderId, selectedNoteIds) => {
    const selectedNoteIdsRef = (0, react_1.useRef)(selectedNoteIds);
    selectedNoteIdsRef.current = selectedNoteIds;
    const [activeNoteId, setActiveNoteId] = (0, react_1.useState)('');
    (0, react_1.useEffect)(() => {
        var _a, _b;
        setActiveNoteId((_b = (_a = selectedNoteIdsRef.current) === null || _a === void 0 ? void 0 : _a[0]) !== null && _b !== void 0 ? _b : '');
    }, [selectedFolderId]);
    const previousNoteIdsRef = (0, react_1.useRef)();
    previousNoteIdsRef.current = (0, usePrevious_1.default)(selectedNoteIds);
    (0, react_1.useEffect)(() => {
        var _a;
        const previousNoteIds = (_a = previousNoteIdsRef.current) !== null && _a !== void 0 ? _a : [];
        setActiveNoteId(current => {
            var _a;
            if (selectedNoteIds.includes(current)) {
                return current;
            }
            else {
                // Prefer added items
                for (const id of selectedNoteIds) {
                    if (!previousNoteIds.includes(id)) {
                        return id;
                    }
                }
                return (_a = selectedNoteIds[0]) !== null && _a !== void 0 ? _a : '';
            }
        });
    }, [selectedNoteIds]);
    return { activeNoteId, setActiveNoteId };
};
exports.default = useActiveDescendantId;
//# sourceMappingURL=useActiveDescendantId.js.map