"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("react");
const NoteListHeaderItem_1 = require("./NoteListHeaderItem");
const useDragAndDrop_1 = require("./useDragAndDrop");
const useContextMenu_1 = require("./utils/useContextMenu");
const depNameToNoteProp_1 = require("@joplin/lib/services/noteList/depNameToNoteProp");
const defaultHeight = 26;
exports.default = (props) => {
    const { onItemDragStart, onItemDragOver, onItemDrop, onResizerDragStart, onResizerDragEnd, dropAt, draggedItem } = (0, useDragAndDrop_1.default)(props.columns);
    const onContextMenu = (0, useContextMenu_1.default)(props.columns);
    const items = [];
    let isFirst = true;
    for (const column of props.columns) {
        let dragCursorLocation = null;
        if (draggedItem && draggedItem.type === useDragAndDrop_1.DataType.HeaderItem) {
            dragCursorLocation = dropAt && dropAt.columnName === column.name ? dropAt.location : null;
        }
        items.push(React.createElement(NoteListHeaderItem_1.default, { isFirst: isFirst, key: column.name, column: column, isCurrent: `note.${props.notesSortOrderField}` === (0, depNameToNoteProp_1.default)(column.name), isReverse: props.notesSortOrderReverse, onClick: props.onItemClick, onDragStart: onItemDragStart, onDragOver: onItemDragOver, onDrop: onItemDrop, onResizerDragStart: onResizerDragStart, onResizerDragEnd: onResizerDragEnd, dragCursorLocation: dragCursorLocation }));
        isFirst = false;
    }
    const itemHeight = props.height ? props.height : defaultHeight;
    const style = (0, react_1.useMemo)(() => {
        return { height: itemHeight };
    }, [itemHeight]);
    return (React.createElement("div", { className: "note-list-header", style: style, onContextMenu: onContextMenu }, items));
};
//# sourceMappingURL=NoteListHeader.js.map