"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("react");
const getColumnTitle_1 = require("./utils/getColumnTitle");
exports.default = (props) => {
    const column = props.column;
    const style = (0, react_1.useMemo)(() => {
        const output = {};
        if (column.width) {
            output.width = column.width;
        }
        else {
            output.flex = 1;
        }
        return output;
    }, [column.width]);
    const classes = (0, react_1.useMemo)(() => {
        const output = ['item'];
        if (props.isFirst)
            output.push('-first');
        if (props.isCurrent) {
            output.push('-current');
            if (props.isReverse)
                output.push('-reverse');
        }
        if (props.dragCursorLocation)
            output.push(`-drop-${props.dragCursorLocation}`);
        return output;
    }, [props.isFirst, props.isCurrent, props.isReverse, props.dragCursorLocation]);
    const onClick = (0, react_1.useCallback)((event) => {
        const name = event.currentTarget.getAttribute('data-name');
        props.onClick({ name });
    }, [props.onClick]);
    const renderTitle = () => {
        let chevron = null;
        if (props.isCurrent) {
            const classes = ['chevron', 'fas'];
            classes.push(props.isReverse ? 'fa-chevron-down' : 'fa-chevron-up');
            chevron = React.createElement("i", { className: classes.join(' ') });
        }
        return React.createElement("span", { className: "titlewrapper" },
            (0, getColumnTitle_1.default)(column.name, true),
            chevron);
    };
    const renderResizer = () => {
        if (props.isFirst)
            return null;
        return (React.createElement("div", { className: "resizer", "data-name": column.name, draggable: true, onDragStart: props.onResizerDragStart, onDragEnd: props.onResizerDragEnd }));
    };
    return (React.createElement("a", { "data-name": column.name, draggable: true, className: classes.join(' '), style: style, onClick: onClick, onDragStart: props.onDragStart, onDragOver: props.onDragOver, onDrop: props.onDrop },
        renderResizer(),
        React.createElement("div", { className: "inner" }, renderTitle())));
};
//# sourceMappingURL=NoteListHeaderItem.js.map