"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const noteListType_1 = require("@joplin/lib/services/plugins/api/noteListType");
const useItemElement = (rootElement, noteId, noteHtml, focusVisible, style, itemSize, onClick, flow) => {
    const [itemElement, setItemElement] = (0, react_1.useState)(null);
    (0, react_1.useEffect)(() => {
        if (!rootElement)
            return () => { };
        const element = document.createElement('div');
        element.setAttribute('data-id', noteId);
        element.className = 'note-list-item';
        for (const [n, v] of Object.entries(style)) {
            // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
            element.style[n] = v;
        }
        if (flow === noteListType_1.ItemFlow.LeftToRight)
            element.style.width = `${itemSize.width}px`;
        element.style.height = `${itemSize.height}px`;
        element.innerHTML = noteHtml;
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        element.addEventListener('click', onClick);
        rootElement.appendChild(element);
        setItemElement(element);
        return () => {
            element.remove();
        };
    }, [rootElement, itemSize, noteHtml, noteId, style, onClick, flow]);
    (0, react_1.useEffect)(() => {
        if (!itemElement)
            return;
        if (focusVisible) {
            itemElement.classList.add('-focus-visible');
        }
        else {
            itemElement.classList.remove('-focus-visible');
        }
    }, [focusVisible, itemElement]);
    return itemElement;
};
exports.default = useItemElement;
//# sourceMappingURL=useItemElement.js.map