"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const CommandService_1 = require("@joplin/lib/services/CommandService");
const ToolbarBase_1 = require("../ToolbarBase");
const reducer_1 = require("@joplin/lib/services/plugins/reducer");
const ToolbarButtonUtils_1 = require("@joplin/lib/services/commands/ToolbarButtonUtils");
const stateToWhenClauseContext_1 = require("../../services/commands/stateToWhenClauseContext");
const react_redux_1 = require("react-redux");
const theme_1 = require("@joplin/lib/theme");
const locale_1 = require("@joplin/lib/locale");
const getActivePluginEditorView_1 = require("@joplin/lib/services/plugins/utils/getActivePluginEditorView");
function styles_(props) {
    return (0, theme_1.buildStyle)('NoteToolbar', props.themeId, theme => {
        return {
            root: Object.assign(Object.assign({}, props.style), { borderBottom: 'none', backgroundColor: theme.backgroundColor }),
        };
    });
}
function NoteToolbar(props) {
    const styles = styles_(props);
    return (React.createElement(ToolbarBase_1.default, { style: styles.root, items: props.toolbarButtonInfos, disabled: props.disabled, "aria-label": (0, locale_1._)('Note') }));
}
const toolbarButtonUtils = new ToolbarButtonUtils_1.default(CommandService_1.default.instance());
const mapStateToProps = (state, ownProps) => {
    const whenClauseContext = (0, stateToWhenClauseContext_1.default)(state, { windowId: ownProps.windowId });
    const { editorPlugin } = (0, getActivePluginEditorView_1.default)(state.pluginService.plugins);
    const commands = [
        'showSpellCheckerMenu',
        'editAlarm',
        'toggleVisiblePanes',
        'showNoteProperties',
    ];
    if (editorPlugin)
        commands.push('toggleEditorPlugin');
    return {
        toolbarButtonInfos: toolbarButtonUtils.commandsToToolbarButtons(commands
            .concat(reducer_1.utils.commandNamesFromViews(state.pluginService.plugins, 'noteToolbar')), whenClauseContext),
    };
};
exports.default = (0, react_redux_1.connect)(mapStateToProps)(NoteToolbar);
//# sourceMappingURL=NoteToolbar.js.map