"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const PasswordInput_1 = require("./PasswordInput");
const react_1 = require("react");
const locale_1 = require("@joplin/lib/locale");
const LabelledPasswordInput = props => {
    var _a;
    const inputId = (0, react_1.useId)();
    const statusIconId = (0, react_1.useId)();
    const canRenderStatusIcon = ((_a = props.valid) !== null && _a !== void 0 ? _a : null) !== null && props.value;
    const renderStatusIcon = () => {
        if (!canRenderStatusIcon)
            return null;
        let title, classNames;
        if (props.valid) {
            title = (0, locale_1._)('Valid');
            classNames = 'fas fa-check -valid';
        }
        else {
            title = (0, locale_1._)('Invalid');
            classNames = 'fas fa-times -invalid';
        }
        return React.createElement("i", { className: `password-status-icon ${classNames}`, id: statusIconId, role: 'img', "aria-label": title, title: title, "aria-live": 'polite' });
    };
    return React.createElement("div", { className: 'labelled-password-input form-input-group' },
        React.createElement("label", { htmlFor: inputId }, props.labelText),
        React.createElement("div", { className: 'password' },
            React.createElement(PasswordInput_1.default, { inputId: inputId, "aria-invalid": canRenderStatusIcon ? !props.valid : undefined, "aria-errormessage": canRenderStatusIcon ? statusIconId : undefined, value: props.value, onChange: props.onChange }),
            renderStatusIcon()));
};
exports.default = LabelledPasswordInput;
//# sourceMappingURL=LabelledPasswordInput.js.map