"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("react");
const StyledInput_1 = require("../style/StyledInput");
const locale_1 = require("@joplin/lib/locale");
const PasswordInput = (props) => {
    const [showPassword, setShowPassword] = (0, react_1.useState)(false);
    const inputType = showPassword ? 'text' : 'password';
    const icon = showPassword ? 'far fa-eye-slash' : 'far fa-eye';
    const title = showPassword ? (0, locale_1._)('Hide password') : (0, locale_1._)('Show password');
    const onShowPassword = (0, react_1.useCallback)(() => {
        setShowPassword(current => !current);
    }, []);
    return (React.createElement("div", { className: "password-input" },
        React.createElement(StyledInput_1.default, { id: props.inputId, "aria-errormessage": props['aria-errormessage'], "aria-invalid": props['aria-invalid'], className: "field", type: inputType, value: props.value, onChange: props.onChange }),
        React.createElement("button", { onClick: onShowPassword, className: "showpasswordbutton" },
            React.createElement("i", { className: icon, role: 'img', "aria-label": title, title: title }))));
};
exports.default = PasswordInput;
//# sourceMappingURL=PasswordInput.js.map