"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const NotyfContext_1 = require("../NotyfContext");
const useAsyncEffect_1 = require("@joplin/lib/hooks/useAsyncEffect");
const types_1 = require("@joplin/lib/services/plugins/api/types");
const emptyToast = () => {
    return {
        duration: 0,
        message: '',
        type: types_1.ToastType.Info,
        timestamp: 0,
    };
};
exports.default = (props) => {
    const notyfContext = (0, react_1.useContext)(NotyfContext_1.default);
    const toast = (0, react_1.useMemo)(() => {
        const toast = props.toast ? props.toast : emptyToast();
        return toast;
    }, [props.toast]);
    (0, useAsyncEffect_1.default)(async () => {
        if (!toast.message)
            return;
        const options = {
            type: toast.type,
            message: toast.message,
            duration: toast.duration,
        };
        notyfContext.open(options);
    }, [toast.message, toast.duration, toast.type, notyfContext]);
    return React.createElement("div", { style: { display: 'none' } });
};
//# sourceMappingURL=PluginNotification.js.map