"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadLayout = exports.saveLayout = void 0;
const immer_1 = require("immer");
const iterateItems_1 = require("./iterateItems");
const validateLayout_1 = require("./validateLayout");
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
function saveLayout(layout) {
    const propertyWhiteList = [
        'visible',
        'width',
        'height',
        'children',
        'key',
        'context',
    ];
    // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
    return (0, immer_1.default)(layout, (draft) => {
        delete draft.width;
        delete draft.height;
        (0, iterateItems_1.default)(draft, (_itemIndex, item, _parent) => {
            for (const k of Object.keys(item)) {
                // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
                if (!propertyWhiteList.includes(k))
                    delete item[k];
            }
            return true;
        });
    });
}
exports.saveLayout = saveLayout;
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
function loadLayout(layout, defaultLayout, rootSize) {
    let output = null;
    if (layout) {
        output = Object.assign({}, layout);
    }
    else {
        output = Object.assign({}, defaultLayout);
    }
    output.width = rootSize.width;
    output.height = rootSize.height;
    return (0, validateLayout_1.default)(output);
}
exports.loadLayout = loadLayout;
//# sourceMappingURL=persist.js.map