"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const immer_1 = require("immer");
const iterateItems_1 = require("./iterateItems");
const validateLayout_1 = require("./validateLayout");
function default_1(layout) {
    const itemsToRemove = [];
    const output = (0, immer_1.default)(layout, (layoutDraft) => {
        (0, iterateItems_1.default)(layoutDraft, (itemIndex, item, parent) => {
            if (!item.key)
                itemsToRemove.push({ parent, index: itemIndex });
            return true;
        });
        itemsToRemove.sort((a, b) => {
            return a.index > b.index ? -1 : +1;
        });
        for (const item of itemsToRemove) {
            item.parent.children.splice(item.index, 1);
        }
    });
    return output !== layout ? (0, validateLayout_1.default)(output) : layout;
}
exports.default = default_1;
//# sourceMappingURL=removeKeylessItems.js.map