"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const immer_1 = require("immer");
const validateLayout_1 = require("./validateLayout");
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
function setLayoutItemProps(layout, key, props) {
    return (0, validateLayout_1.default)((0, immer_1.default)(layout, (draftState) => {
        function recurseFind(item) {
            if (item.key === key) {
                for (const n in props) {
                    // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
                    item[n] = props[n];
                }
            }
            else {
                if (item.children) {
                    for (const child of item.children) {
                        recurseFind(child);
                    }
                }
            }
        }
        recurseFind(draftState);
    }));
}
exports.default = setLayoutItemProps;
//# sourceMappingURL=setLayoutItemProps.js.map