"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MoveModeRootMessage = exports.MoveModeRootWrapper = exports.StyledMoveOverlay = exports.StyledWrapperRoot = void 0;
const type_1 = require("@joplin/lib/themes/type");
const styled_components_1 = require("styled-components");
// Need to use `attrs` otherwise styled-components creates many instances of the
// style when the component is resized.
// https://github.com/styled-components/styled-components/issues/1212
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
exports.StyledWrapperRoot = styled_components_1.default.div.attrs((props) => ({
    style: {
        width: props.size.width,
        height: props.size.height,
    },
})) `
	position: relative;
	display: flex;
`;
exports.StyledMoveOverlay = styled_components_1.default.div `
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 100;
	background-color: ${props => props.theme.appearance === type_1.ThemeAppearance.Light ? 'rgba(0,0,0,0.5)' : 'rgba(255,255,255,0.5)'};
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
`;
exports.MoveModeRootWrapper = styled_components_1.default.div `
	position:relative;
	display: flex;
	align-items: center;
	justify-content: center;
`;
exports.MoveModeRootMessage = styled_components_1.default.div `
	position:absolute;
	bottom: 10px;
	z-index:200;
	background-color: ${props => props.theme.backgroundColor};
	padding: 10px;
	border-radius: 5;
`;
//# sourceMappingURL=style.js.map