"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const debounce = require('debounce');
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
function useWindowResizeEvent(eventEmitter) {
    (0, react_1.useEffect)(() => {
        const window_resize = debounce(() => {
            eventEmitter.current.emit('resize');
        }, 500);
        window.addEventListener('resize', window_resize);
        return () => {
            window_resize.clear();
            window.removeEventListener('resize', window_resize);
        };
        // eslint-disable-next-line @seiyab/react-hooks/exhaustive-deps -- Old code before rule was applied
    }, []);
}
exports.default = useWindowResizeEvent;
//# sourceMappingURL=useWindowResizeEvent.js.map