"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_redux_1 = require("react-redux");
const react_1 = require("react");
const ItemList_1 = require("../ItemList");
const useElementHeight_1 = require("../hooks/useElementHeight");
const useSidebarListData_1 = require("./hooks/useSidebarListData");
const useSelectedSidebarIndex_1 = require("./hooks/useSelectedSidebarIndex");
const useOnSidebarKeyDownHandler_1 = require("./hooks/useOnSidebarKeyDownHandler");
const useFocusHandler_1 = require("./hooks/useFocusHandler");
const useOnRenderItem_1 = require("./hooks/useOnRenderItem");
const useSidebarCommandHandler_1 = require("./hooks/useSidebarCommandHandler");
const reducer_1 = require("@joplin/lib/reducer");
const useOnRenderListWrapper_1 = require("./hooks/useOnRenderListWrapper");
const FolderAndTagList = props => {
    const listItems = (0, useSidebarListData_1.default)(props);
    const { selectedIndex, updateSelectedIndex } = (0, useSelectedSidebarIndex_1.default)(Object.assign(Object.assign({}, props), { listItems: listItems }));
    const listContainerRef = (0, react_1.useRef)(null);
    const onRenderItem = (0, useOnRenderItem_1.default)(Object.assign(Object.assign({}, props), { selectedIndex,
        listItems, containerRef: listContainerRef }));
    const onKeyEventHandler = (0, useOnSidebarKeyDownHandler_1.default)({
        dispatch: props.dispatch,
        listItems: listItems,
        selectedIndex,
        updateSelectedIndex,
        collapsedFolderIds: props.collapsedFolderIds,
    });
    const itemListRef = (0, react_1.useRef)();
    const { focusSidebar } = (0, useFocusHandler_1.default)({ itemListRef, selectedIndex, listItems });
    (0, useSidebarCommandHandler_1.default)({ focusSidebar });
    const [itemListContainer, setItemListContainer] = (0, react_1.useState)(null);
    listContainerRef.current = itemListContainer;
    const listHeight = (0, useElementHeight_1.default)(itemListContainer);
    const listStyle = (0, react_1.useMemo)(() => ({ height: listHeight }), [listHeight]);
    const onRenderContentWrapper = (0, useOnRenderListWrapper_1.default)({ selectedIndex, onKeyDown: onKeyEventHandler });
    return (React.createElement("div", { className: 'folder-and-tag-list', ref: setItemListContainer },
        React.createElement(ItemList_1.default, { className: 'items', ref: itemListRef, style: listStyle, items: listItems, itemRenderer: onRenderItem, renderContentWrapper: onRenderContentWrapper, 
            // The selected item is the only item with tabindex=0. Always render it
            // to allow the item list to be focused.
            alwaysRenderSelection: true, selectedIndex: selectedIndex, itemHeight: 30 })));
};
const mapStateToProps = (state) => {
    const mainWindowState = reducer_1.stateUtils.mainWindowState(state);
    return {
        themeId: state.settings.theme,
        tags: state.tags,
        folders: state.folders,
        notesParentType: mainWindowState.notesParentType,
        selectedFolderId: mainWindowState.selectedFolderId,
        selectedTagId: mainWindowState.selectedTagId,
        collapsedFolderIds: state.collapsedFolderIds,
        selectedSmartFilterId: mainWindowState.selectedSmartFilterId,
        plugins: state.pluginService.plugins,
        tagHeaderIsExpanded: state.settings.tagHeaderIsExpanded,
        folderHeaderIsExpanded: state.settings.folderHeaderIsExpanded,
    };
};
exports.default = (0, react_redux_1.connect)(mapStateToProps)(FolderAndTagList);
//# sourceMappingURL=FolderAndTagList.js.map