"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("react");
const locale_1 = require("@joplin/lib/locale");
const CommandService_1 = require("@joplin/lib/services/CommandService");
const onAddFolderButtonClick = () => {
    void CommandService_1.default.instance().execute('newFolder');
};
const NewFolderButton = () => {
    // To allow it to be accessed by accessibility tools, the new folder button
    // is not included in the portion of the list with role='tree'.
    return React.createElement("button", { onClick: onAddFolderButtonClick, className: 'new-folder-button' },
        React.createElement("i", { "aria-label": (0, locale_1._)('New notebook'), role: 'img', className: 'fas fa-plus' }));
};
const useOnRenderListWrapper = ({ selectedIndex, onKeyDown }) => {
    return (0, react_1.useCallback)((listItems) => {
        const listHasValidSelection = selectedIndex >= 0;
        const allowContainerFocus = !listHasValidSelection;
        return React.createElement(React.Fragment, null,
            React.createElement(NewFolderButton, null),
            React.createElement("div", { role: 'tree', className: 'sidebar-list-items-wrapper', tabIndex: allowContainerFocus ? 0 : undefined, onKeyDown: onKeyDown }, ...listItems));
    }, [selectedIndex, onKeyDown]);
};
exports.default = useOnRenderListWrapper;
//# sourceMappingURL=useOnRenderListWrapper.js.map