"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CommandService_1 = require("@joplin/lib/services/CommandService");
const react_1 = require("react");
const commands_1 = require("../commands");
const useSidebarCommandHandler = ({ focusSidebar }) => {
    (0, react_1.useEffect)(() => {
        const runtimeProps = {
            focusSidebar,
        };
        CommandService_1.default.instance().componentRegisterCommands(runtimeProps, commands_1.default);
        return () => {
            CommandService_1.default.instance().componentUnregisterCommands(commands_1.default);
        };
    }, [focusSidebar]);
};
exports.default = useSidebarCommandHandler;
//# sourceMappingURL=useSidebarCommandHandler.js.map