"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const styles_1 = require("../styles");
const react_1 = require("react");
const bridge_1 = require("../../../services/bridge");
const Setting_1 = require("@joplin/lib/models/Setting");
const MenuUtils_1 = require("@joplin/lib/services/commands/MenuUtils");
const CommandService_1 = require("@joplin/lib/services/CommandService");
const PerFolderSortOrderService_1 = require("../../../services/sortOrder/PerFolderSortOrderService");
const locale_1 = require("@joplin/lib/locale");
const react_redux_1 = require("react-redux");
const EmptyExpandLink_1 = require("./EmptyExpandLink");
const ListItemWrapper_1 = require("./ListItemWrapper");
const { ALL_NOTES_FILTER_ID } = require('@joplin/lib/reserved-ids');
const Menu = (0, bridge_1.default)().Menu;
const MenuItem = (0, bridge_1.default)().MenuItem;
const menuUtils = new MenuUtils_1.default(CommandService_1.default.instance());
const AllNotesItem = props => {
    const onAllNotesClick_ = (0, react_1.useCallback)(() => {
        props.dispatch({
            type: 'SMART_FILTER_SELECT',
            id: ALL_NOTES_FILTER_ID,
        });
    }, [props.dispatch]);
    const toggleAllNotesContextMenu = (0, react_1.useCallback)(() => {
        const menu = new Menu();
        if (Setting_1.default.value('notes.perFolderSortOrderEnabled')) {
            menu.append(new MenuItem(Object.assign(Object.assign({}, menuUtils.commandToStatefulMenuItem('togglePerFolderSortOrder', ALL_NOTES_FILTER_ID)), { type: 'checkbox', checked: PerFolderSortOrderService_1.default.isSet(ALL_NOTES_FILTER_ID) })));
        }
        menu.popup({ window: (0, bridge_1.default)().activeWindow() });
    }, []);
    return (React.createElement(ListItemWrapper_1.default, { containerRef: props.anchorRef, key: "allNotesHeader", selected: props.selected, depth: 1, className: 'list-item-container list-item-depth-0 all-notes', highlightOnHover: true, itemIndex: props.index, itemCount: props.itemCount },
        React.createElement(EmptyExpandLink_1.default, null),
        React.createElement(styles_1.StyledAllNotesIcon, { "aria-hidden": 'true', role: 'img', className: 'icon-notes' }),
        React.createElement(styles_1.StyledListItemAnchor, { className: "list-item", isSpecialItem: true, selected: props.selected, onClick: onAllNotesClick_, onContextMenu: toggleAllNotesContextMenu }, (0, locale_1._)('All notes'))));
};
exports.default = (0, react_redux_1.connect)()(AllNotesItem);
//# sourceMappingURL=AllNotesItem.js.map