"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const locale_1 = require("@joplin/lib/locale");
const ExpandIcon = props => {
    const classNames = ['sidebar-expand-icon'];
    if (props.isVisible)
        classNames.push('-visible');
    classNames.push(props.isExpanded ? 'fas fa-caret-down' : 'fas fa-caret-right');
    // Referencing the name of the item we expand/collapse is both good for accessibility
    // and makes writing tests easier.
    const getLabel = () => {
        if (!props.isVisible) {
            return undefined;
        }
        if (props.isExpanded) {
            return (0, locale_1._)('Expanded, press space to collapse.');
        }
        return (0, locale_1._)('Collapsed, press space to expand.');
    };
    const label = getLabel();
    return React.createElement("i", { className: classNames.join(' '), "aria-label": label, role: 'img' });
};
exports.default = ExpandIcon;
//# sourceMappingURL=ExpandIcon.js.map