"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("react");
const styles_1 = require("../styles");
const types_1 = require("../types");
const bridge_1 = require("../../../services/bridge");
const MenuUtils_1 = require("@joplin/lib/services/commands/MenuUtils");
const CommandService_1 = require("@joplin/lib/services/CommandService");
const ListItemWrapper_1 = require("./ListItemWrapper");
const Menu = (0, bridge_1.default)().Menu;
const MenuItem = (0, bridge_1.default)().MenuItem;
const menuUtils = new MenuUtils_1.default(CommandService_1.default.instance());
const HeaderItem = props => {
    const item = props.item;
    const onItemClick = item.onClick;
    const itemId = item.id;
    const onClick = (0, react_1.useCallback)(event => {
        if (onItemClick) {
            onItemClick(itemId, event);
        }
    }, [onItemClick, itemId]);
    const onContextMenu = (0, react_1.useCallback)(async () => {
        if (itemId === types_1.HeaderId.FolderHeader) {
            const menu = new Menu();
            menu.append(new MenuItem(menuUtils.commandToStatefulMenuItem('newFolder')));
            menu.popup({ window: (0, bridge_1.default)().activeWindow() });
        }
    }, [itemId]);
    return (React.createElement(ListItemWrapper_1.default, Object.assign({ containerRef: props.anchorRef, selected: props.isSelected, itemIndex: props.index, itemCount: props.itemCount, expanded: props.item.expanded, onContextMenu: onContextMenu, depth: 0, highlightOnHover: false, className: 'sidebar-header-container' }, item.extraProps, { onDrop: props.onDrop }),
        React.createElement(styles_1.StyledHeader, { onClick: onClick },
            React.createElement(styles_1.StyledHeaderIcon, { "aria-hidden": 'true', role: 'img', className: item.iconName }),
            React.createElement(styles_1.StyledHeaderLabel, null, item.label))));
};
exports.default = HeaderItem;
//# sourceMappingURL=HeaderItem.js.map