"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Setting_1 = require("@joplin/lib/models/Setting");
const React = require("react");
const react_1 = require("react");
const styles_1 = require("../styles");
const BaseModel_1 = require("@joplin/lib/BaseModel");
const NoteCount_1 = require("./NoteCount");
const Tag_1 = require("@joplin/lib/models/Tag");
const EmptyExpandLink_1 = require("./EmptyExpandLink");
const ListItemWrapper_1 = require("./ListItemWrapper");
const TagItem = (props) => {
    const { tag, selected } = props;
    let noteCount = null;
    if (Setting_1.default.value('showNoteCounts')) {
        const count = Setting_1.default.value('showCompletedTodos') ? tag.note_count : tag.note_count - tag.todo_completed_count;
        noteCount = React.createElement(NoteCount_1.default, { count: count });
    }
    const onClickHandler = (0, react_1.useCallback)(() => {
        props.onClick({ tag });
    }, [props.onClick, tag]);
    return (React.createElement(ListItemWrapper_1.default, { containerRef: props.anchorRef, selected: selected, depth: 1, className: `list-item-container ${selected ? 'selected' : ''}`, highlightOnHover: true, onDrop: props.onTagDrop, "data-tag-id": tag.id, "aria-selected": selected, itemIndex: props.index, itemCount: props.itemCount },
        React.createElement(EmptyExpandLink_1.default, null),
        React.createElement(styles_1.StyledListItemAnchor, { className: "list-item", selected: selected, "data-id": tag.id, "data-type": BaseModel_1.default.TYPE_TAG, onContextMenu: props.onContextMenu, onClick: onClickHandler },
            React.createElement(styles_1.StyledSpanFix, { className: "tag-label" }, Tag_1.default.displayTitle(tag)),
            noteCount)));
};
exports.default = TagItem;
//# sourceMappingURL=TagItem.js.map