"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StyledSpanFix = exports.StyledSyncReportText = exports.StyledSyncReport = exports.StyledAddButton = exports.StyledSynchronizeButton = exports.StyledShareIcon = exports.StyledListItemAnchor = exports.StyledHeaderLabel = exports.StyledAllNotesIcon = exports.StyledHeaderIcon = exports.StyledHeader = exports.StyledRoot = void 0;
const shim_1 = require("@joplin/lib/shim");
const Button_1 = require("../../Button/Button");
const styled_components_1 = require("styled-components");
const styled = require('styled-components').default;
exports.StyledRoot = styled.div `
	background-color: ${(props) => props.theme.backgroundColor2};
	width: 100%;
	height: 100%;
	overflow-x: hidden;
	overflow-y: hidden;
	display: inline-flex;
	flex-direction: column;
`;
exports.StyledHeader = styled.div `
	//height: ${(props) => props.theme.topRowHeight}px;
	//text-decoration: none;
	flex: 1;
	box-sizing: border-box;
	padding: ${(props) => props.theme.mainPadding}px;
	padding-bottom: ${(props) => props.theme.mainPadding / 2}px;
	display: flex;
	align-items: center;
	user-select: none;
	text-transform: uppercase;
	//cursor: pointer;
`;
exports.StyledHeaderIcon = styled.i `
	font-size: ${(props) => props.theme.toolbarIconSize}px;
	color: ${(props) => props.theme.color2};
	margin-right: 8px;
`;
exports.StyledAllNotesIcon = styled(exports.StyledHeaderIcon) `
	font-size: ${(props) => props.theme.toolbarIconSize * 0.8}px;
	color: ${(props) => props.theme.colorFaded2};
	margin-right: 8px;
`;
exports.StyledHeaderLabel = styled.span `
	flex: 1;
	color: ${(props) => props.theme.color2};
	font-size: ${(props) => Math.round(props.theme.fontSize * 1.1)}px;
	font-weight: bold;
`;
function listItemTextColor(props) {
    if (props.isConflictFolder)
        return props.theme.colorError2;
    if (props.isSpecialItem)
        return props.theme.colorFaded2;
    if (props.shareId)
        return props.theme.colorWarn2;
    return props.theme.color2;
}
exports.StyledListItemAnchor = styled.a `
	font-size: ${(props) => Math.round(props.theme.fontSize * 1.0833333)}px;
	text-decoration: none;
	color: ${(props) => listItemTextColor(props)};
	cursor: default;
	opacity: ${(props) => props.selected || props.shareId ? 1 : 0.8};
	white-space: nowrap;
	display: flex;
	flex: 1;
	align-items: center;
	user-select: none;
	height: 100%;

	/* A different background color is already used to indicate focus for sidebar list items. */
	&:focus-visible {
		outline: none;
	}
`;
exports.StyledShareIcon = styled.i `
	margin-left: 8px;
`;
exports.StyledSynchronizeButton = styled(Button_1.default) `
	width: 100%;
`;
exports.StyledAddButton = styled(Button_1.default) `
	border: none;
	padding-right: 15px;
	padding-top: 4px;
`;
exports.StyledSyncReport = styled.div `
	font-size: ${(props) => Math.round(props.theme.fontSize * 0.9)}px;
	color: ${(props) => props.theme.color2};
	opacity: 0.5;
	display: flex;
	flex-direction: column;
	margin-left: 5px;
	margin-right: 5px;
	margin-bottom: 10px;
	word-wrap: break-word;
`;
exports.StyledSyncReportText = styled.div `
	color: ${(props) => props.theme.color2};
	word-wrap: break-word;
	width: 100%;
`;
// Workaround sidebar rendering bug on Linux Intel GPU.
// https://github.com/laurent22/joplin/issues/7506
exports.StyledSpanFix = styled.span `
	${shim_1.default.isLinux() && (0, styled_components_1.css) `
		position: relative;
	`}
`;
//# sourceMappingURL=index.js.map