"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("react");
const TagItem_1 = require("./TagItem");
const getCollator_1 = require("@joplin/lib/models/utils/getCollator");
const { connect } = require('react-redux');
const { themeStyle } = require('@joplin/lib/theme');
function TagList(props) {
    const collatorLocale = (0, getCollator_1.getCollatorLocale)();
    const style = (0, react_1.useMemo)(() => {
        const theme = themeStyle(props.themeId);
        const output = Object.assign({}, props.style);
        output.display = 'flex';
        output.flexDirection = 'row';
        output.boxSizing = 'border-box';
        output.fontSize = theme.fontSize;
        output.whiteSpace = 'nowrap';
        output.paddingTop = 8;
        output.paddingBottom = 8;
        return output;
    }, [props.style, props.themeId]);
    const tags = (0, react_1.useMemo)(() => {
        const output = props.items.slice();
        const collator = (0, getCollator_1.getCollator)(collatorLocale);
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        output.sort((a, b) => {
            return collator.compare(a.title, b.title);
        });
        return output;
    }, [props.items, collatorLocale]);
    const tagItems = (0, react_1.useMemo)(() => {
        const output = [];
        for (let i = 0; i < tags.length; i++) {
            const props = {
                title: tags[i].title,
                id: tags[i].id,
                key: tags[i].id,
            };
            output.push(React.createElement(TagItem_1.default, Object.assign({}, props)));
        }
        return output;
    }, [tags]);
    return (React.createElement("div", { className: "tag-list", style: style }, tagItems));
}
const mapStateToProps = (state) => {
    return { themeId: state.settings.theme };
};
exports.default = connect(mapStateToProps)(TagList);
//# sourceMappingURL=TagList.js.map