"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Value = void 0;
const React = require("react");
const styles_1 = require("./styles");
const locale_1 = require("@joplin/lib/locale");
var Value;
(function (Value) {
    Value["Markdown"] = "markdown";
    Value["RichText"] = "richText";
})(Value || (exports.Value = Value = {}));
function ToggleEditorsButton(props) {
    const style = (0, styles_1.default)(props);
    return (React.createElement("button", { ref: props.buttonRef, style: style.button, disabled: !props.toolbarButtonInfo.enabled, "aria-label": props.toolbarButtonInfo.tooltip, "aria-description": (0, locale_1._)('Switch to the %s Editor', props.value !== Value.Markdown ? (0, locale_1._)('Markdown') : (0, locale_1._)('Rich Text')), title: props.toolbarButtonInfo.tooltip, type: "button", className: `tox-tbtn ${props.value}-active`, "aria-pressed": "false", onClick: props.toolbarButtonInfo.onClick, tabIndex: props.tabIndex },
        React.createElement("div", { style: style.leftInnerButton },
            React.createElement("i", { style: style.leftIcon, className: "fab fa-markdown" })),
        React.createElement("div", { style: style.rightInnerButton },
            React.createElement("i", { style: style.rightIcon, className: "fas fa-edit" }))));
}
exports.default = ToggleEditorsButton;
//# sourceMappingURL=ToggleEditorsButton.js.map