"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const appDialogs_1 = require("./utils/appDialogs");
const AppDialogs = props => {
    if (!props.appDialogStates.length)
        return null;
    const output = [];
    for (const dialog of props.appDialogStates) {
        const md = appDialogs_1.default[dialog.name];
        if (!md)
            throw new Error(`Unknown dialog: ${dialog.name}`);
        output.push(md.render({
            key: dialog.name,
            themeId: props.themeId,
            dispatch: props.dispatch,
        }, dialog.props));
    }
    return React.createElement(React.Fragment, null, output);
};
exports.default = AppDialogs;
//# sourceMappingURL=AppDialogs.js.map