"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const UserWebviewDialog_1 = require("../../services/plugins/UserWebviewDialog");
const reducer_1 = require("@joplin/lib/services/plugins/reducer");
const WebviewController_1 = require("@joplin/lib/services/plugins/WebviewController");
const PluginDialogs = props => {
    var _a, _b;
    const output = [];
    const infos = reducer_1.utils.viewInfosByType(props.plugins, 'webview');
    for (const info of infos) {
        const { plugin, view } = info;
        if (view.containerType !== WebviewController_1.ContainerType.Dialog)
            continue;
        if (!props.visibleDialogs[view.id])
            continue;
        const html = (_b = (_a = props.pluginHtmlContents[plugin.id]) === null || _a === void 0 ? void 0 : _a[view.id]) !== null && _b !== void 0 ? _b : '';
        output.push(React.createElement(UserWebviewDialog_1.default, { key: view.id, viewId: view.id, themeId: props.themeId, html: html, scripts: view.scripts, pluginId: plugin.id, buttons: view.buttons, fitToContent: view.fitToContent }));
    }
    if (!output.length)
        return null;
    return (React.createElement("div", { className: 'user-webview-dialog-container' }, output));
};
exports.default = PluginDialogs;
//# sourceMappingURL=PluginDialogs.js.map