"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = exports.UiType = void 0;
const locale_1 = require("@joplin/lib/locale");
const PluginManager = require('@joplin/lib/services/PluginManager');
var UiType;
(function (UiType) {
    UiType["GotoAnything"] = "gotoAnything";
    UiType["CommandPalette"] = "commandPalette";
    UiType["ControlledApi"] = "controlledApi";
})(UiType || (exports.UiType = UiType = {}));
exports.declaration = {
    name: 'gotoAnything',
    label: () => (0, locale_1._)('Goto Anything...'),
};
function menuItemById(id) {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
    return PluginManager.instance().menuItems().find((i) => i.id === id);
}
// The way this command is implemented is a bit hacky due to the PluginManager
// layer. This manager is no longer needed but hasn't been refactored yet, so in
// the meantime we access the GotoAnything actions by grabbing the menu item
// calling the click() handler.
const runtime = () => {
    return {
        execute: async (_context, uiType = UiType.GotoAnything) => {
            if (uiType === UiType.GotoAnything) {
                menuItemById('gotoAnything').click();
            }
            else if (uiType === UiType.CommandPalette) {
                menuItemById('commandPalette').click();
            }
            else if (uiType === UiType.ControlledApi) {
                // eslint-disable-next-line @typescript-eslint/ban-types -- Old code before rule was applied
                return new Promise((resolve, reject) => {
                    // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
                    const menuItem = PluginManager.instance().menuItems().find((i) => i.id === 'controlledApi');
                    menuItem.userData = {
                        callback: { resolve, reject },
                    };
                    menuItem.click();
                });
            }
            return null;
        },
    };
};
exports.runtime = runtime;
//# sourceMappingURL=gotoAnything.js.map