"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = void 0;
const locale_1 = require("@joplin/lib/locale");
const Folder_1 = require("@joplin/lib/models/Folder");
const bridge = require('@electron/remote').require('./bridge').default;
exports.declaration = {
    name: 'renameFolder',
    label: () => (0, locale_1._)('Rename'),
};
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
const runtime = (comp) => {
    return {
        execute: async (context, folderId = null) => {
            folderId = folderId || context.state.selectedFolderId;
            const folder = await Folder_1.default.load(folderId);
            if (folder) {
                comp.setState({
                    promptOptions: {
                        label: (0, locale_1._)('Rename notebook:'),
                        value: folder.title,
                        onClose: async (answer) => {
                            if (answer !== null) {
                                try {
                                    folder.title = answer;
                                    await Folder_1.default.save(folder, { fields: ['title'], userSideValidation: true });
                                }
                                catch (error) {
                                    bridge().showErrorMessageBox(error.message);
                                }
                            }
                            comp.setState({ promptOptions: null });
                        },
                    },
                });
            }
        },
    };
};
exports.runtime = runtime;
//# sourceMappingURL=renameFolder.js.map