"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = void 0;
const locale_1 = require("@joplin/lib/locale");
const restoreItems_1 = require("@joplin/lib/services/trash/restoreItems");
const Folder_1 = require("@joplin/lib/models/Folder");
const BaseModel_1 = require("@joplin/lib/BaseModel");
exports.declaration = {
    name: 'restoreFolder',
    label: () => (0, locale_1._)('Restore notebook'),
    iconName: 'fas fa-trash-restore',
};
const runtime = () => {
    return {
        execute: async (context, folderId = null) => {
            if (folderId === null)
                folderId = context.state.selectedFolderId;
            const folder = await Folder_1.default.load(folderId);
            if (!folder)
                throw new Error(`No such folder: ${folderId}`);
            await (0, restoreItems_1.default)(BaseModel_1.ModelType.Folder, [folder]);
        },
        enabledCondition: 'folderIsDeleted',
    };
};
exports.runtime = runtime;
//# sourceMappingURL=restoreFolder.js.map