"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = void 0;
const locale_1 = require("@joplin/lib/locale");
const Note_1 = require("@joplin/lib/models/Note");
exports.declaration = {
    name: 'toggleNoteType',
    label: () => (0, locale_1._)('Switch between note and to-do type'),
};
const runtime = () => {
    return {
        execute: async (context, noteIds = null) => {
            if (noteIds === null)
                noteIds = context.state.selectedNoteIds;
            for (let i = 0; i < noteIds.length; i++) {
                const note = await Note_1.default.load(noteIds[i]);
                await Note_1.default.save(Note_1.default.toggleIsTodo(note), { userSideValidation: true });
            }
        },
        enabledCondition: '!noteIsReadOnly',
    };
};
exports.runtime = runtime;
//# sourceMappingURL=toggleNoteType.js.map