"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useWindowControl = (setDialogState, onPrint) => {
    // Use refs to avoid reloading the output where possible -- reloading the window control
    // may mean reloading all main window commands.
    const onPrintRef = (0, react_1.useRef)(onPrint);
    onPrintRef.current = onPrint;
    return (0, react_1.useMemo)(() => {
        return {
            setState: (newPartialState) => {
                setDialogState(oldState => (Object.assign(Object.assign({}, oldState), newPartialState)));
            },
            printTo: (target, options) => onPrintRef.current(target, options),
        };
    }, [setDialogState]);
};
exports.default = useWindowControl;
//# sourceMappingURL=useWindowControl.js.map