"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchInput = exports.SearchButtonIcon = exports.SearchButton = exports.Root = void 0;
const React = require("react");
const react_1 = require("react");
const CommandService_1 = require("@joplin/lib/services/CommandService");
const locale_1 = require("@joplin/lib/locale");
const StyledInput_1 = require("../../style/StyledInput");
const styled = require('styled-components').default;
exports.Root = styled.div `
	position: relative;
	display: flex;
	width: 100%;
`;
exports.SearchButton = styled.button `
	position: absolute;
	right: 0;
	background: none;
	border: none;
	height: 100%;
	opacity: ${(props) => props.disabled ? 0.5 : 1};
`;
exports.SearchButtonIcon = styled.span `
	font-size: ${(props) => props.theme.toolbarIconSize}px;
	color: ${(props) => props.theme.color4};
`;
exports.SearchInput = styled(StyledInput_1.default) `
	padding-right: 20px;
	flex: 1;
	width: 10px;
`;
function default_1(props) {
    const iconName = !props.searchStarted ? CommandService_1.default.instance().iconName('search') : 'fa fa-times';
    const iconLabel = !props.searchStarted ? (0, locale_1._)('Search') : (0, locale_1._)('Clear search');
    // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
    const onChange = (0, react_1.useCallback)((event) => {
        props.onChange({ value: event.currentTarget.value });
    }, [props.onChange]);
    return (React.createElement(exports.Root, null,
        React.createElement(exports.SearchInput, { ref: props.inputRef, value: props.value, type: "text", placeholder: props.placeholder || (0, locale_1._)('Search...'), onChange: onChange, onFocus: props.onFocus, onBlur: props.onBlur, onKeyDown: props.onKeyDown, spellCheck: false, disabled: props.disabled }),
        React.createElement(exports.SearchButton, { "aria-label": iconLabel, onClick: props.onSearchButtonClick },
            React.createElement(exports.SearchButtonIcon, { className: iconName }))));
}
exports.default = default_1;
//# sourceMappingURL=SearchInput.js.map