"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const theme_1 = require("@joplin/lib/theme");
const React = require("react");
const react_1 = require("react");
const ReactToggleButton = require('react-toggle-button');
const Color = require('color');
function default_1(props) {
    const theme = (0, theme_1.themeStyle)(props.themeId);
    const ariaLabel = props['aria-label'];
    const passThroughInputProps = (0, react_1.useMemo)(() => {
        return {
            'aria-label': ariaLabel,
            // Works around a bug in ReactToggleButton -- the hidden checkbox input associated
            // with the toggle is always read as "unchecked" by screen readers.
            checked: props.value,
            // Silences a ReactJS warning: "You provided a `checked` prop to a form field without an `onChange` handler."
            // Change events are handled by ReactToggleButton.
            onChange: () => { },
        };
    }, [ariaLabel, props.value]);
    return (React.createElement(ReactToggleButton, { value: props.value, onToggle: props.onToggle, colors: {
            activeThumb: {
                base: Color(theme.color5).rgb().string(),
            },
            active: {
                base: Color(theme.backgroundColor5).alpha(0.7).rgb().string(),
            },
        }, trackStyle: {
            opacity: props.value ? 1 : 0.3,
        }, thumbStyle: {
            opacity: props.value ? 1 : 0.5,
        }, inactiveLabel: "", activeLabel: "", passThroughInputProps: passThroughInputProps }));
}
exports.default = default_1;
//# sourceMappingURL=ToggleButton.js.map