"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@playwright/test");
const activateMainMenuItem_1 = require("../util/activateMainMenuItem");
class GoToAnything {
    constructor(page, mainScreen) {
        this.mainScreen = mainScreen;
        this.containerLocator = page.locator('.go-to-anything-dialog[open]');
        this.inputLocator = this.containerLocator.getByRole('textbox');
    }
    async open(electronApp) {
        await this.mainScreen.waitFor();
        await (0, activateMainMenuItem_1.default)(electronApp, 'Goto Anything...');
        return this.waitFor();
    }
    async waitFor() {
        await this.containerLocator.waitFor();
    }
    async expectToBeClosed() {
        await (0, test_1.expect)(this.containerLocator).not.toBeAttached();
    }
    async expectToBeOpen() {
        await (0, test_1.expect)(this.containerLocator).toBeAttached();
    }
    async runCommand(electronApp, command) {
        if (!command.startsWith(':')) {
            command = `:${command}`;
        }
        await this.open(electronApp);
        await this.inputLocator.fill(command);
        await this.containerLocator.locator('.match-highlight').first().waitFor();
        await this.inputLocator.press('Enter');
        await this.expectToBeClosed();
    }
}
exports.default = GoToAnything;
//# sourceMappingURL=GoToAnything.js.map