"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const activateMainMenuItem_1 = require("../util/activateMainMenuItem");
const test_1 = require("@playwright/test");
class NoteList {
    constructor(page) {
        this.container = page.locator('.rli-noteList');
        this.sortOrderButton = this.container.getByRole('button', { name: 'Toggle sort order' });
    }
    waitFor() {
        return this.container.waitFor();
    }
    async sortBy(electronApp, sortMethod) {
        await (0, activateMainMenuItem_1.default)(electronApp, sortMethod, 'Sort notes by');
    }
    async sortByTitle(electronApp) {
        await this.sortBy(electronApp, 'Title');
        await (0, test_1.expect)(this.sortOrderButton).toHaveAttribute('title', /Toggle sort order field:[\n ]*title ->/);
    }
    async focusContent(electronApp) {
        await (0, activateMainMenuItem_1.default)(electronApp, 'Note list', 'Focus');
    }
    // The resultant locator may fail to resolve if the item is not visible
    getNoteItemByTitle(title) {
        return this.container.getByRole('option', { name: title });
    }
    async expectNoteToBeSelected(title) {
        await (0, test_1.expect)(this.getNoteItemByTitle(title)).toHaveAttribute('aria-selected', 'true');
    }
}
exports.default = NoteList;
//# sourceMappingURL=NoteList.js.map