"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SettingsScreen {
    constructor(page) {
        this.page = page;
        this.okayButton = page.locator('button', { hasText: 'OK' });
        this.appearanceTabButton = this.getTabLocator('Appearance');
    }
    getTabLocator(tabName) {
        return this.page.getByRole('tab', { name: tabName });
    }
    getLastTab() {
        return this.page.getByRole('tablist').getByRole('tab').last();
    }
    async waitFor() {
        await this.okayButton.waitFor();
        await this.appearanceTabButton.waitFor();
    }
}
exports.default = SettingsScreen;
//# sourceMappingURL=SettingsScreen.js.map