"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const activateMainMenuItem_1 = require("../util/activateMainMenuItem");
class Sidebar {
    constructor(page, mainScreen) {
        this.mainScreen = mainScreen;
        this.container = page.locator('.rli-sideBar');
        this.allNotes = this.container.getByText('All notes');
    }
    async createNewFolder(title) {
        const newFolderButton = this.container.getByRole('button', { name: 'New' });
        await newFolderButton.click();
        const titleInput = this.mainScreen.dialog.getByLabel('Title');
        await titleInput.fill(title);
        const submitButton = this.mainScreen.dialog.getByRole('button', { name: 'OK' });
        await submitButton.click();
        return this.container.getByRole('treeitem', { name: title });
    }
    async sortBy(electronApp, option) {
        await (0, activateMainMenuItem_1.default)(electronApp, option, 'Sort notebooks by');
    }
    async sortByDate(electronApp) {
        return this.sortBy(electronApp, 'Updated date');
    }
    async sortByTitle(electronApp) {
        return this.sortBy(electronApp, 'Title');
    }
    async forceUpdateSorting(electronApp) {
        // By default, notebooks will not be in the correct position in the list for about 1 second.
        // Change the notebook list sort order to force an immediate refresh.
        await this.sortByDate(electronApp);
        await this.sortByTitle(electronApp);
    }
}
exports.default = Sidebar;
//# sourceMappingURL=Sidebar.js.map