"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("./util/test");
const MainScreen_1 = require("./models/MainScreen");
test_1.test.describe('pluginApi', () => {
    (0, test_1.test)('the editor.setText command should update the current note (use RTE: false)', async ({ startAppWithPlugins }) => {
        const { app, mainWindow } = await startAppWithPlugins(['resources/test-plugins/execCommand.js']);
        const mainScreen = await new MainScreen_1.default(mainWindow).setup();
        await mainScreen.createNewNote('First note');
        const editor = mainScreen.noteEditor;
        await editor.focusCodeMirrorEditor();
        await mainWindow.keyboard.type('This content should be overwritten.');
        await editor.expectToHaveText('This content should be overwritten.');
        await mainScreen.goToAnything.runCommand(app, 'testUpdateEditorText');
        await editor.expectToHaveText('PASS');
        // Should still have the same text after switching notes:
        await mainScreen.createNewNote('Second note');
        await editor.goBack();
        await editor.expectToHaveText('PASS');
    });
});
//# sourceMappingURL=pluginApi.spec.js.map