"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const setMessageBoxResponse = (electronApp, responseMatch) => {
    return electronApp.evaluate(async ({ dialog }, responseMatch) => {
        const getMatchingButton = (dialogArgs) => {
            const matchingButton = (options) => {
                var _a;
                const buttons = (_a = options.buttons) !== null && _a !== void 0 ? _a : ['OK'];
                for (let i = 0; i < buttons.length; i++) {
                    if (buttons[i].match(responseMatch)) {
                        return i;
                    }
                }
                throw new Error('No matching button found');
            };
            if (dialogArgs.length === 1) {
                return matchingButton(dialogArgs[0]);
            }
            else {
                return matchingButton(dialogArgs[1]);
            }
        };
        dialog.showMessageBoxSync = (...args) => getMatchingButton(args);
        dialog.showMessageBox = async (...args) => ({
            response: getMatchingButton(args),
            checkboxChecked: false,
            // We're mocking, so include "as any" to prevent this from breaking when we upgrade
            // Electron.
            // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        });
    }, responseMatch);
};
exports.default = setMessageBoxResponse;
//# sourceMappingURL=setMessageBoxResponse.js.map