"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const state_1 = require("@codemirror/state");
const duplicateLine = (editor) => {
    const state = editor.state;
    const doc = state.doc;
    const transaction = state.changeByRange(range => {
        const currentLine = doc.lineAt(range.anchor);
        let text, insertPos, selectionRange;
        if (range.empty) {
            text = `\n${currentLine.text}`;
            insertPos = currentLine.to;
            selectionRange = state_1.EditorSelection.cursor(currentLine.to + text.length);
        }
        else {
            text = doc.slice(range.from, range.to);
            insertPos = range.to;
            selectionRange = state_1.EditorSelection.range(range.to, range.to + text.length);
        }
        return {
            range: selectionRange,
            changes: [{
                    from: insertPos,
                    to: insertPos,
                    insert: text,
                }],
        };
    });
    editor.dispatch(transaction);
    return true;
};
exports.default = duplicateLine;
//# sourceMappingURL=duplicateLine.js.map