"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const view_1 = require("@codemirror/view");
const state_1 = require("@codemirror/state");
const duplicateLine_1 = require("./duplicateLine");
describe('duplicateLine', () => {
    it('should duplicate line', () => {
        const initialText = 'Hello\nWorld\n';
        const editorView = new view_1.EditorView({
            doc: initialText,
            selection: state_1.EditorSelection.cursor(0),
        });
        (0, duplicateLine_1.default)(editorView);
        const result = editorView.state.doc.toString();
        expect(result).toBe('Hello\nHello\nWorld\n');
    });
    it('should duplicate range', () => {
        const initialText = 'Hello\nWorld\n';
        const editorView = new view_1.EditorView({
            doc: initialText,
            selection: state_1.EditorSelection.range(0, 8),
        });
        (0, duplicateLine_1.default)(editorView);
        const result = editorView.state.doc.toString();
        expect(result).toBe('Hello\nWoHello\nWorld\n');
    });
});
//# sourceMappingURL=duplicateLine.test.js.map