"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commands_1 = require("@codemirror/commands");
const lang_markdown_1 = require("@codemirror/lang-markdown");
const state_1 = require("@codemirror/state");
const insertLineAfter = (view) => {
    const state = view.state;
    view.dispatch(state.changeByRange((sel) => {
        const line = state.doc.lineAt(sel.anchor);
        return {
            range: state_1.EditorSelection.cursor(line.to),
        };
    }));
    // insertNewlineContinueMarkup does nothing if not in markdown -- we thus
    // need a fallback case
    const addedNewLine = (0, lang_markdown_1.insertNewlineContinueMarkup)(view);
    if (!addedNewLine) {
        (0, commands_1.insertNewlineAndIndent)(view);
    }
};
exports.default = insertLineAfter;
//# sourceMappingURL=insertLineAfter.js.map