"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const view_1 = require("@codemirror/view");
const state_1 = require("@codemirror/state");
const sortSelectedLines_1 = require("./sortSelectedLines");
describe('sortSelectedLines', () => {
    it('should sort selected lines', () => {
        const initialText = 'World\nHello\n';
        const editorView = new view_1.EditorView({
            doc: initialText,
            selection: state_1.EditorSelection.range(0, 8),
        });
        (0, sortSelectedLines_1.default)(editorView);
        const result = editorView.state.doc.toString();
        expect(result).toBe('Hello\nWorld\n');
    });
});
//# sourceMappingURL=sortSelectedLines.test.js.map