"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.allLanguages = void 0;
const language_1 = require("@codemirror/language");
const language_data_1 = require("@codemirror/language-data");
const additionalAliases = {
    'python': ['py'],
    'rust': ['rs'],
    'markdown': ['md'],
};
// Convert supportedLanguages to a CodeMirror-readable list
// of LanguageDescriptions
exports.allLanguages = [];
for (const language of language_data_1.languages) {
    const languageId = language.name.toLowerCase();
    if (additionalAliases.hasOwnProperty(languageId)) {
        exports.allLanguages.push(language_1.LanguageDescription.of({
            name: language.name,
            alias: [...language.alias, ...additionalAliases[languageId]],
            extensions: language.extensions,
            filename: language.filename,
            support: language.support,
            load: () => language.load.call(language),
        }));
    }
    else {
        exports.allLanguages.push(language);
    }
}
exports.default = exports.allLanguages;
//# sourceMappingURL=allLanguages.js.map