"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const state_1 = require("@codemirror/state");
const createTestEditor_1 = require("../testUtil/createTestEditor");
const computeSelectionFormatting_1 = require("./computeSelectionFormatting");
describe('computeSelectionFormatting', () => {
    // The below tests rely on CodeMirror to correctly parse the document, which
    // can be buggy (and fail very rarely).
    jest.retryTimes(2);
    it('should correctly compute formatting for partial links', async () => {
        // Start with the selection midway through the link
        const editor = await (0, createTestEditor_1.default)('A [partial link]', state_1.EditorSelection.cursor(4), ['Link']);
        const formatting = (0, computeSelectionFormatting_1.default)(editor.state, false);
        expect(formatting.linkData).toMatchObject({
            linkText: null,
            linkURL: null,
        });
    });
});
//# sourceMappingURL=computeSelectionFormatting.test.js.map