"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const state_1 = require("@codemirror/state");
const createTestEditor_1 = require("../testUtil/createTestEditor");
const decoratorExtension_1 = require("./decoratorExtension");
jest.retryTimes(2);
describe('decoratorExtension', () => {
    it('should highlight code blocks within tables', async () => {
        // Regression test for https://github.com/laurent22/joplin/issues/9477
        const editorText = `
left    | right
--------|-------
\`foo\` | bar  
		`;
        const editor = await (0, createTestEditor_1.default)(editorText, 
        // Put the initial cursor at the start of "foo"
        state_1.EditorSelection.cursor(editorText.indexOf('foo')), ['TableRow', 'InlineCode'], [decoratorExtension_1.default]);
        const codeBlock = editor.contentDOM.querySelector('.cm-inlineCode');
        expect(codeBlock.textContent).toBe('`foo`');
        expect(codeBlock.parentElement.classList.contains('.cm-tableRow'));
    });
});
//# sourceMappingURL=decoratorExtension.test.js.map