"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const codeMirrorView = require("@codemirror/view");
const codeMirrorState = require("@codemirror/state");
const codeMirrorSearch = require("@codemirror/search");
const codeMirrorLanguage = require("@codemirror/language");
const codeMirrorAutocomplete = require("@codemirror/autocomplete");
const codeMirrorCommands = require("@codemirror/commands");
const codeMirrorLint = require("@codemirror/lint");
const codeMirrorLangHtml = require("@codemirror/lang-html");
const codeMirrorLangMarkdown = require("@codemirror/lang-markdown");
const codeMirrorLanguageData = require("@codemirror/language-data");
const lezerHighlight = require("@lezer/highlight");
const lezerCommon = require("@lezer/common");
const lezerMarkdown = require("@lezer/markdown");
// Exposes CodeMirror libraries to plugins.
//
// Plugins can't bundle their own copies of the CodeMirror libraries, as multiple
// copies of some libraries can cause issues.
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
const libraryNameToPackage = {
    '@codemirror/view': codeMirrorView,
    '@codemirror/state': codeMirrorState,
    '@codemirror/search': codeMirrorSearch,
    '@codemirror/language': codeMirrorLanguage,
    '@codemirror/autocomplete': codeMirrorAutocomplete,
    '@codemirror/commands': codeMirrorCommands,
    '@codemirror/lint': codeMirrorLint,
    '@codemirror/lang-html': codeMirrorLangHtml,
    '@codemirror/lang-markdown': codeMirrorLangMarkdown,
    '@codemirror/language-data': codeMirrorLanguageData,
    '@lezer/common': lezerCommon,
    '@lezer/markdown': lezerMarkdown,
    '@lezer/highlight': lezerHighlight,
};
const codeMirrorRequire = (library) => {
    // Here, we use hasOwnProperty instead of "in" to prevent
    // require("constructor") or require("__proto__") from returning
    // a constructor or prototype object.
    if (libraryNameToPackage.hasOwnProperty(library)) {
        return libraryNameToPackage[library];
    }
    // Although window.require doesn't work on mobile, some desktop-only plugins
    // originally developed for CodeMirror 5 rely on it.
    if (typeof window.require === 'function') {
        return window.require(library);
    }
    throw new Error(`Cannot find library ${library}`);
};
exports.default = codeMirrorRequire;
//# sourceMappingURL=codeMirrorRequire.js.map