"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const theme_1 = require("@joplin/lib/theme");
const types_1 = require("../../types");
const createEditorSettings = (themeId) => {
    const themeData = (0, theme_1.themeStyle)(themeId);
    const editorSettings = {
        katexEnabled: true,
        spellcheckEnabled: true,
        useExternalSearch: true,
        readOnly: false,
        automatchBraces: false,
        ignoreModifiers: false,
        autocompleteMarkup: true,
        keymap: types_1.EditorKeymap.Default,
        language: types_1.EditorLanguageType.Markdown,
        themeData,
        indentWithTabs: true,
        editorLabel: 'Markdown editor',
    };
    return editorSettings;
};
exports.default = createEditorSettings;
//# sourceMappingURL=createEditorSettings.js.map