"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const language_1 = require("@codemirror/language");
// Forces a full parse of a CodeMirror editor. This is intended for unit testing.
// If not in a unit-test consider using ensureSyntaxTree or forceParsing.
// This will throw if no language is configured for the editor.
const forceFullParse = (editorState) => {
    const timeout = 3000; // ms
    (0, language_1.ensureSyntaxTree)(editorState, editorState.doc.length, timeout);
    if (!(0, language_1.syntaxTreeAvailable)(editorState)) {
        throw new Error(`Unable to generate a syntax tree in ${timeout}. Is the editor configured to parse a language?`);
    }
};
exports.default = forceFullParse;
//# sourceMappingURL=forceFullParse.js.map