"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const language_1 = require("@codemirror/language");
const state_1 = require("@codemirror/state");
const tabsToSpaces_1 = require("./tabsToSpaces");
describe('tabsToSpaces', () => {
    it('should convert tabs to spaces based on indentUnit', () => {
        const state = state_1.EditorState.create({
            doc: 'This is a test.',
            selection: state_1.EditorSelection.cursor(0),
            extensions: [
                language_1.indentUnit.of('    '),
            ],
        });
        expect((0, tabsToSpaces_1.default)(state, '\t')).toBe('    ');
        expect((0, tabsToSpaces_1.default)(state, '\t  ')).toBe('      ');
        expect((0, tabsToSpaces_1.default)(state, '  \t  ')).toBe('      ');
    });
});
//# sourceMappingURL=tabsToSpaces.test.js.map