"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.showLinkEditor = exports.showLinkEditorEffect = void 0;
const state_1 = require("@codemirror/state");
exports.showLinkEditorEffect = state_1.StateEffect.define();
const showLinkEditor = (view) => {
    view.dispatch({
        effects: [
            exports.showLinkEditorEffect.of(),
        ],
    });
    return true;
};
exports.showLinkEditor = showLinkEditor;
const handleLinkEditRequests = (onShowEditor) => [
    state_1.EditorState.transactionExtender.of(tr => {
        if (tr.effects.some(e => e.is(exports.showLinkEditorEffect))) {
            onShowEditor();
        }
        return null;
    }),
];
exports.default = handleLinkEditRequests;
//# sourceMappingURL=handleLinkEditRequests.js.map