"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const handlePasteEvent = (event, _view, onPaste) => {
    const dataTransfer = 'clipboardData' in event ? event.clipboardData : event.dataTransfer;
    const files = dataTransfer.files;
    let fileToPaste = null;
    // Prefer image files, if available.
    for (const file of files) {
        if (['image/png', 'image/jpeg', 'image/svg+xml'].includes(file.type)) {
            fileToPaste = file;
            break;
        }
    }
    // Fall back to other files
    if (files.length && !fileToPaste) {
        fileToPaste = files[0];
    }
    if (fileToPaste) {
        event.preventDefault();
        void onPaste(fileToPaste);
    }
};
exports.default = handlePasteEvent;
//# sourceMappingURL=handlePasteEvent.js.map