"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const language_1 = require("@codemirror/language");
const intersectsSyntaxNode = (state, range, nodeName) => {
    let foundNode = false;
    (0, language_1.syntaxTree)(state).iterate({
        from: range.from,
        to: range.to,
        enter: node => {
            if (node.name === nodeName) {
                foundNode = true;
                // Skip children
                return false;
            }
            // Search children if we haven't found a matching node yet.
            return !foundNode;
        },
    });
    return foundNode;
};
exports.default = intersectsSyntaxNode;
//# sourceMappingURL=isInSyntaxNode.js.map