"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const state_1 = require("@codemirror/state");
const getSearchState_1 = require("./getSearchState");
const events_1 = require("../../events");
const search_1 = require("@codemirror/search");
const searchExtension = (onEvent, settings) => {
    const onSearchDialogUpdate = (state) => {
        const newSearchState = (0, getSearchState_1.default)(state);
        onEvent({
            kind: events_1.EditorEventType.UpdateSearchDialog,
            searchState: newSearchState,
        });
    };
    return [
        (0, search_1.search)(settings.useExternalSearch ? {
            createPanel(_editor) {
                return {
                    // The actual search dialog is implemented with react native,
                    // use a dummy element.
                    dom: document.createElement('div'),
                    mount() { },
                    destroy() { },
                };
            },
        } : undefined),
        state_1.EditorState.transactionExtender.of((tr) => {
            if (tr.effects.some(e => e.is(search_1.setSearchQuery)) || (0, search_1.searchPanelOpen)(tr.state) !== (0, search_1.searchPanelOpen)(tr.startState)) {
                onSearchDialogUpdate(tr.state);
            }
            return null;
        }),
    ];
};
exports.default = searchExtension;
//# sourceMappingURL=searchExtension.js.map