"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectionFormattingEqual = exports.defaultSelectionFormatting = void 0;
exports.defaultSelectionFormatting = {
    bolded: false,
    italicized: false,
    inChecklist: false,
    inCode: false,
    inUnorderedList: false,
    inOrderedList: false,
    inMath: false,
    inLink: false,
    spellChecking: false,
    unspellCheckableRegion: false,
    linkData: {
        linkText: null,
        linkURL: null,
    },
    headerLevel: 0,
    listLevel: 0,
    selectedText: '',
};
const selectionFormattingEqual = (a, b) => {
    // Get keys from the default so that only SelectionFormatting key/value pairs are
    // considered. If a and/or b inherit from SelectionFormatting, we want to ignore
    // keys added by child interfaces.
    const keys = Object.keys(exports.defaultSelectionFormatting);
    for (const key of keys) {
        if (key === 'linkData') {
            // A deeper check is required for linkData
            if (a[key].linkText !== b[key].linkText || a[key].linkURL !== b[key].linkURL) {
                return false;
            }
        }
        else if (a[key] !== b[key]) {
            return false;
        }
    }
    return true;
};
exports.selectionFormattingEqual = selectionFormattingEqual;
//# sourceMappingURL=SelectionFormatting.js.map