"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Button_1 = require("../../gui/Button/Button");
const locale_1 = require("@joplin/lib/locale");
const styled = require('styled-components').default;
const { space } = require('styled-system');
const StyledButton = styled(Button_1.default) `${space}`;
function buttonTitle(b) {
    if (b.title)
        return b.title;
    const defaultTitles = {
        'ok': (0, locale_1._)('OK'),
        'cancel': (0, locale_1._)('Cancel'),
        'yes': (0, locale_1._)('Yes'),
        'no': (0, locale_1._)('No'),
        'close': (0, locale_1._)('Close'),
    };
    return defaultTitles[b.id] ? defaultTitles[b.id] : b.id;
}
function UserWebviewDialogButtonBar(props) {
    function renderButtons() {
        const output = [];
        for (let i = 0; i < props.buttons.length; i++) {
            const b = props.buttons[i];
            const marginRight = i !== props.buttons.length - 1 ? '6px' : '0px';
            output.push(React.createElement(StyledButton, { key: b.id, onClick: b.onClick, title: buttonTitle(b), mr: marginRight }));
        }
        return output;
    }
    return (React.createElement("div", { className: 'user-dialog-button-bar' }, renderButtons()));
}
exports.default = UserWebviewDialogButtonBar;
//# sourceMappingURL=UserWebviewDialogButtonBar.js.map