"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
// eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
function default_1(frameWindow, htmlHash, minWidth, minHeight, fitToContent, isReady) {
    const [contentSize, setContentSize] = (0, react_1.useState)({
        width: minWidth,
        height: minHeight,
        hash: '',
    });
    function updateContentSize(hash) {
        if (!frameWindow)
            return;
        const rect = frameWindow.document.getElementById('joplin-plugin-content').getBoundingClientRect();
        let w = rect.width;
        let h = rect.height;
        if (w < minWidth)
            w = minWidth;
        if (h < minHeight)
            h = minHeight;
        const newSize = { width: w, height: h, hash: hash };
        setContentSize((current) => {
            if (current.width === newSize.width && current.height === newSize.height && current.hash === hash)
                return current;
            return newSize;
        });
    }
    (0, react_1.useEffect)(() => {
        updateContentSize(htmlHash);
        // eslint-disable-next-line @seiyab/react-hooks/exhaustive-deps -- Old code before rule was applied
    }, [htmlHash]);
    (0, react_1.useEffect)(() => {
        if (!fitToContent || !isReady)
            return () => { };
        function onTick() {
            updateContentSize(htmlHash);
        }
        // The only reliable way to make sure that the iframe has the same dimensions
        // as its content is to poll the dimensions at regular intervals. Other methods
        // work most of the time but will fail in various edge cases. Most reliable way
        // is probably iframe-resizer package, but still with 40 unfixed bugs.
        //
        // Polling in our case is fine since this is only used when displaying plugin
        // dialogs, which should be short lived. updateContentSize() is also optimised
        // to do nothing when size hasn't changed.
        const updateFrameSizeIID = setInterval(onTick, 100);
        return () => {
            clearInterval(updateFrameSizeIID);
        };
        // eslint-disable-next-line @seiyab/react-hooks/exhaustive-deps -- Old code before rule was applied
    }, [fitToContent, isReady, minWidth, minHeight, htmlHash]);
    return contentSize;
}
exports.default = default_1;
//# sourceMappingURL=useContentSize.js.map