"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
// eslint-disable-next-line @typescript-eslint/ban-types, @typescript-eslint/no-explicit-any -- Old code before rule was applied, Old code before rule was applied
function default_1(frameWindow, onSubmit, onDismiss, loadedHtmlHash) {
    const document = frameWindow && frameWindow.document ? frameWindow.document : null;
    (0, react_1.useEffect)(() => {
        if (!document)
            return () => { };
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        function onFormSubmit(event) {
            event.preventDefault();
            if (onSubmit)
                onSubmit();
        }
        // eslint-disable-next-line @typescript-eslint/no-explicit-any -- Old code before rule was applied
        function onKeyDown(event) {
            if (event.key === 'Escape') {
                if (onDismiss)
                    onDismiss();
            }
            if (event.key === 'Enter') {
                //
                // Disable enter key from submitting when a text area is in focus!
                // https://github.com/laurent22/joplin/issues/4766
                //
                if (document.activeElement.tagName !== 'TEXTAREA') {
                    if (onSubmit)
                        onSubmit();
                }
            }
        }
        document.addEventListener('submit', onFormSubmit);
        document.addEventListener('keydown', onKeyDown);
        return () => {
            if (document)
                document.removeEventListener('submit', onFormSubmit);
            if (document)
                document.removeEventListener('keydown', onKeyDown);
        };
    }, [document, loadedHtmlHash, onSubmit, onDismiss]);
}
exports.default = default_1;
//# sourceMappingURL=useSubmitHandler.js.map