"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_hooks_1 = require("@testing-library/react-hooks");
const useThemeCss_1 = require("./useThemeCss");
const Setting_1 = require("@joplin/lib/models/Setting");
describe('useThemeCss', () => {
    it('should return a different path when the theme changes', async () => {
        const hookResult = (0, react_hooks_1.renderHook)(useThemeCss_1.default, {
            initialProps: { pluginId: 'testid', themeId: Setting_1.default.THEME_DARK },
        });
        await hookResult.waitFor(() => {
            expect(hookResult.result.current).toContain(`plugin_testid_theme_${Setting_1.default.THEME_DARK}.css`);
        });
        hookResult.rerender({ pluginId: 'testid', themeId: Setting_1.default.THEME_LIGHT });
        await hookResult.waitFor(() => {
            expect(hookResult.result.current).toContain(`plugin_testid_theme_${Setting_1.default.THEME_LIGHT}.css`);
        });
    });
});
//# sourceMappingURL=useThemeCss.test.js.map