"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Setting_1 = require("@joplin/lib/models/Setting");
const bridge_1 = require("../bridge");
const processStartFlags_1 = require("@joplin/lib/utils/processStartFlags");
const BaseApplication_1 = require("@joplin/lib/BaseApplication");
const initProfile_1 = require("@joplin/lib/services/profileConfig/initProfile");
const fs_extra_1 = require("fs-extra");
const path_1 = require("path");
const determineBaseAppDirs_1 = require("@joplin/lib/determineBaseAppDirs");
const restartInSafeModeFromMain = async () => {
    // Only set constants here -- the main process doesn't have easy access (without loading
    // a large amount of other code) to the database.
    const appName = (0, bridge_1.default)().appName();
    Setting_1.default.setConstant('appId', `net.cozic.${appName}`);
    Setting_1.default.setConstant('appType', Setting_1.AppType.Desktop);
    Setting_1.default.setConstant('appName', appName);
    // Load just enough for us to write a file in the profile directory
    const { shimInit } = require('@joplin/lib/shim-init-node.js');
    shimInit({});
    const startFlags = await (0, processStartFlags_1.default)((0, bridge_1.default)().processArgv());
    const { rootProfileDir } = (0, determineBaseAppDirs_1.default)(startFlags.matched.profileDir, appName);
    const { profileDir } = await (0, initProfile_1.default)(rootProfileDir);
    // We can't access the database, so write to a file instead.
    const safeModeFlagFile = (0, path_1.join)(profileDir, BaseApplication_1.safeModeFlagFilename);
    await (0, fs_extra_1.writeFile)(safeModeFlagFile, 'true', 'utf8');
    (0, bridge_1.default)().restart();
};
exports.default = restartInSafeModeFromMain;
//# sourceMappingURL=restartInSafeModeFromMain.js.map